-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-arrowbg.ads,v $ 
-- $Revision: 1.4 $ $Date: 95/12/05 08:52:56 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file ArrowBG.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.ArrowBG is

    type XmArrowButtonGadgetClassRec is private;            -- ArrowBG.h:29
    type XmArrowButtonGadgetRec is private;                 -- ArrowBG.h:30

    type XmArrowButtonGadgetClass is access all XmArrowButtonGadgetClassRec;
                                                            -- ArrowBG.h:29
    type XmArrowButtonGadget is access all XmArrowButtonGadgetRec;
                                                            -- ArrowBG.h:30

    xmArrowButtonGadgetClass_obj: Xt.Intrinsic.WidgetClass;
                                                            -- ArrowBG.h:27

    function XmCreateArrowButtonGadget(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- ArrowBG.h:40

    pragma Import(C, XmCreateArrowButtonGadget, "XmCreateArrowButtonGadget");

    function XmCreateArrowButtonGadget(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal) 
               return Xt.Intrinsic.Widget;                  -- ArrowBG.h:40

    pragma Inline(XmCreateArrowButtonGadget);

    -- ****************
    -- ArrowBG.h macros
    -- ****************

    function XmIsArrowButtonGadget (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- ArrowBG.h:24

private

    type XmArrowButtonGadgetRec is null record;             -- ArrowBG.h:30
    type XmArrowButtonGadgetClassRec is null record;        -- ArrowBG.h:29

    pragma Import(C, xmArrowButtonGadgetClass_obj, "xmArrowButtonGadgetClass");
                                                            -- ArrowBG.h:27

    pragma Inline(XmIsArrowButtonGadget);

end Motif.ArrowBG;
