-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-atommgr.adb,v $ 
-- $Revision: 1.3 $ $Date: 95/12/05 09:07:18 $ $Author: mg $ 


-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS FURNISHED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file. 
--  
-- Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this file is permitted. 
-- --------------------------------------------------------------------------

with X;
with Interfaces.C;
with X.Xlib;
with X.Strings;

package body Motif.AtomMgr is

    function XmInternAtom(
                display       : access X.Xlib.Display;
                name          : Interfaces.C.Char_Array;
                only_if_exists: X.signed_int) return X.Atom is

        use type Interfaces.C.Char_Array;
        Tmp_name: constant Interfaces.C.Char_Array :=
            name & Interfaces.C.Nul;
    begin
        return XmInternAtom(
                display,
                Tmp_name(Tmp_name'First)'unchecked_access,
                only_if_exists);
    end XmInternAtom;                                       -- AtomMgr.h:34

end Motif.AtomMgr;
