-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-bulletinb.ads,v $ 
-- $Revision: 1.3 $ $Date: 95/12/05 08:52:57 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file BulletinB.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.BulletinB is

    type XmBulletinBoardClassRec is private;                -- BulletinB.h:29
    type XmBulletinBoardRec is private;                     -- BulletinB.h:30

    type XmBulletinBoardWidgetClass is access all XmBulletinBoardClassRec;
                                                            -- BulletinB.h:29
    type XmBulletinBoardWidget is access all XmBulletinBoardRec;
                                                            -- BulletinB.h:30

    xmBulletinBoardWidgetClass_obj: Xt.Intrinsic.WidgetClass;
                                                            -- BulletinB.h:27

    function XmCreateBulletinBoard(
                p   : Xt.Intrinsic.Widget;
                name: X.Strings.const_charp;
                args: Xt.Intrinsic.ArgList;
                n   : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- BulletinB.h:47

    pragma Import(C, XmCreateBulletinBoard, "XmCreateBulletinBoard");

    function XmCreateBulletinBoard(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                args: Xt.Intrinsic.ArgList;
                n   : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- BulletinB.h:47

    pragma Inline(XmCreateBulletinBoard);

    function XmCreateBulletinBoardDialog(
                ds_p   : Xt.Intrinsic.Widget;
                name   : X.Strings.const_charp;
                bb_args: Xt.Intrinsic.ArgList;
                bb_n   : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- BulletinB.h:52

    pragma Import(C, XmCreateBulletinBoardDialog, 
                     "XmCreateBulletinBoardDialog");

    function XmCreateBulletinBoardDialog(
                ds_p   : Xt.Intrinsic.Widget;
                name   : Interfaces.C.Char_Array;
                bb_args: Xt.Intrinsic.ArgList;
                bb_n   : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- BulletinB.h:52

    pragma Inline(XmCreateBulletinBoardDialog);

    -- ******************
    -- BulletinB.h macros
    -- ******************

    function XmIsBulletinBoard (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- BulletinB.h:34

private

    type XmBulletinBoardRec is null record;                 -- BulletinB.h:30
    type XmBulletinBoardClassRec is null record;            -- BulletinB.h:29

    pragma Import(C, xmBulletinBoardWidgetClass_obj, 
                     "xmBulletinBoardWidgetClass");         -- BulletinB.h:27

    pragma Inline(XmIsBulletinBoard);

end Motif.BulletinB;
