-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-cascadeb.ads,v $ 
-- $Revision: 1.3 $ $Date: 95/12/05 08:52:58 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file CascadeB.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X;
with X.Strings;
with Xt.Intrinsic;

package Motif.CascadeB is

    type XmCascadeButtonRec is private;                     -- CascadeB.h:27
    type XmCascadeButtonClassRec is private;                -- CascadeB.h:28

    type XmCascadeButtonWidget is access all XmCascadeButtonRec;
                                                            -- CascadeB.h:27
    type XmCascadeButtonWidgetClass is access all XmCascadeButtonClassRec;
                                                            -- CascadeB.h:28

    xmCascadeButtonWidgetClass_obj: Xt.Intrinsic.WidgetClass;
                                                            -- CascadeB.h:25

    function XmCreateCascadeButton(
                parent: Xt.Intrinsic.Widget;
                name  : X.Strings.const_charp;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- CascadeB.h:44

    pragma Import(C, XmCreateCascadeButton, "XmCreateCascadeButton");

    function XmCreateCascadeButton(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- CascadeB.h:44

    pragma Inline(XmCreateCascadeButton);

    procedure XmCascadeButtonHighlight(
                cb       : Xt.Intrinsic.Widget;
                highlight: X.signed_int);                   -- CascadeB.h:49

    -- *****************
    -- CascadeB.h macros
    -- *****************

    function XmIsCascadeButton (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- CascadeB.h:32

private

    type XmCascadeButtonClassRec is null record;            -- CascadeB.h:28
    type XmCascadeButtonRec is null record;                 -- CascadeB.h:27

    pragma Import(C, xmCascadeButtonWidgetClass_obj, 
                     "xmCascadeButtonWidgetClass");         -- CascadeB.h:25
    pragma Import(C, XmCascadeButtonHighlight, "XmCascadeButtonHighlight");
                                                            -- CascadeB.h:49

    pragma Inline(XmIsCascadeButton);

end Motif.CascadeB;
