-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-cascadebg.ads,v $ 
-- $Revision: 1.3 $ $Date: 95/12/05 08:52:58 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file CascadeBG.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X;
with X.Strings;
with Xt.Intrinsic;

package Motif.CascadeBG is

    type XmCascadeButtonGadgetClassRec is private;          -- CascadeBG.h:27
    type XmCascadeButtonGadgetRec is private;               -- CascadeBG.h:28
    type XmCascadeButtonGCacheObjRec is private;            -- CascadeBG.h:29

    type XmCascadeButtonGadgetClass is access all XmCascadeButtonGadgetClassRec;
                                                            -- CascadeBG.h:27
    type XmCascadeButtonGadget is access all XmCascadeButtonGadgetRec;
                                                            -- CascadeBG.h:28
    type XmCascadeButtonGCacheObject is access all XmCascadeButtonGCacheObjRec;
                                                            -- CascadeBG.h:29

    xmCascadeButtonGadgetClass_obj: Xt.Intrinsic.WidgetClass;
                                                            -- CascadeBG.h:25

    function XmCreateCascadeButtonGadget(
                parent: Xt.Intrinsic.Widget;
                name  : X.Strings.const_charp;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- CascadeBG.h:45

    pragma Import(C, XmCreateCascadeButtonGadget, 
                     "XmCreateCascadeButtonGadget");

    function XmCreateCascadeButtonGadget(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- CascadeBG.h:45

    pragma Inline(XmCreateCascadeButtonGadget);

    procedure XmCascadeButtonGadgetHighlight(
                wid      : Xt.Intrinsic.Widget;
                highlight: X.signed_int);                   -- CascadeBG.h:50

    -- ******************
    -- CascadeBG.h macros
    -- ******************

    function XmIsCascadeButtonGadget (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- CascadeBG.h:33

private

    type XmCascadeButtonGCacheObjRec is null record;        -- CascadeBG.h:29
    type XmCascadeButtonGadgetRec is null record;           -- CascadeBG.h:28
    type XmCascadeButtonGadgetClassRec is null record;      -- CascadeBG.h:27

    pragma Import(C, xmCascadeButtonGadgetClass_obj, 
                     "xmCascadeButtonGadgetClass");         -- CascadeBG.h:25
    pragma Import(C, XmCascadeButtonGadgetHighlight, 
                     "XmCascadeButtonGadgetHighlight");     -- CascadeBG.h:50

    pragma Inline(XmIsCascadeButtonGadget);

end Motif.CascadeBG;
