-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-cutpaste.adb,v $ 
-- $Revision: 1.4 $ $Date: 95/12/08 15:38:36 $ $Author: mg $ 


-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS FURNISHED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file. 
--  
-- Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this file is permitted. 
-- --------------------------------------------------------------------------

with Interfaces.C;

package body Motif.CutPaste is

    function XmClipboardCopy(
                display   : access X.Xlib.Display;
                window    : X.Window;
                itemid    : X.long;
                format    : Interfaces.C.Char_Array;
                buffer    : Xt.Intrinsic.XtPointer;
                length    : X.unsigned_long;
                private_id: X.long;
                dataid    : access X.long) return X.signed_int is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_format: constant Interfaces.C.Char_Array :=
            format & Interfaces.C.Nul;
    begin
        return XmClipboardCopy(
                display,
                window,
                itemid,
                Tmp_format(Tmp_format'First)'unchecked_access,
                buffer,
                length,
                private_id,
                dataid);
    end XmClipboardCopy;                                    -- CutPaste.h:98

    function XmClipboardRetrieve(
                display   : access X.Xlib.Display;
                window    : X.Window;
                format    : Interfaces.C.Char_Array;
                buffer    : Xt.Intrinsic.XtPointer;
                length    : X.unsigned_long;
                outlength : access X.unsigned_long;
                private_id: access X.long) return X.signed_int is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_format: constant Interfaces.C.Char_Array :=
            format & Interfaces.C.Nul;
    begin
        return XmClipboardRetrieve(
                display,
                window,
                Tmp_format(Tmp_format'First)'unchecked_access,
                buffer,
                length,
                outlength,
                private_id);
    end XmClipboardRetrieve;                                -- CutPaste.h:147

    function XmClipboardInquireLength(
                display: access X.Xlib.Display;
                window : X.Window;
                format : Interfaces.C.Char_Array;
                length : access X.unsigned_long) return X.signed_int is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_format: constant Interfaces.C.Char_Array :=
            format & Interfaces.C.Nul;
    begin
        return XmClipboardInquireLength(
                display,
                window,
                Tmp_format(Tmp_format'First)'unchecked_access,
                length);
    end XmClipboardInquireLength;                           -- CutPaste.h:167

    function XmClipboardInquirePendingItems(
                display: access X.Xlib.Display;
                window : X.Window;
                format : Interfaces.C.Char_Array;
                list   : access XmClipboardPendingList;
                count  : access X.unsigned_long) return X.signed_int is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_format: constant Interfaces.C.Char_Array :=
            format & Interfaces.C.Nul;
    begin
        return XmClipboardInquirePendingItems(
                display,
                window,
                Tmp_format(Tmp_format'First)'unchecked_access,
                list,
                count);
    end XmClipboardInquirePendingItems;                     -- CutPaste.h:172

    function XmClipboardRegisterFormat(
                display      : access X.Xlib.Display;
                format_name  : Interfaces.C.Char_Array;
                format_length: X.signed_int) return X.signed_int is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_format_name: constant Interfaces.C.Char_Array :=
            format_name & Interfaces.C.Nul;
    begin
        return XmClipboardRegisterFormat(
                display,
                Tmp_format_name(Tmp_format_name'First)'unchecked_access,
                format_length);
    end XmClipboardRegisterFormat;                          -- CutPaste.h:178
end Motif.CutPaste;
