-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-dialogs.ads,v $ 
-- $Revision: 1.3 $ $Date: 95/12/05 08:53:00 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file DialogS.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.DialogS is

    type XmDialogShellClassRec is private;                  -- DialogS.h:36
    type XmDialogShellRec is private;                       -- DialogS.h:37

    type XmDialogShellWidgetClass is access all XmDialogShellClassRec;
                                                            -- DialogS.h:36
    type XmDialogShellWidget is access all XmDialogShellRec;-- DialogS.h:37

    xmDialogShellWidgetClass_obj: Xt.Intrinsic.WidgetClass;
                                                            -- DialogS.h:34

    function XmCreateDialogShell(
                p   : Xt.Intrinsic.Widget;
                name: X.Strings.const_charp;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- DialogS.h:47

    pragma Import(C, XmCreateDialogShell, "XmCreateDialogShell");

    function XmCreateDialogShell(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- DialogS.h:47

    pragma Inline(XmCreateDialogShell);

    -- ****************
    -- DialogS.h macros
    -- ****************

    function XmIsDialogShell (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- DialogS.h:31

private

    type XmDialogShellRec is null record;                   -- DialogS.h:37
    type XmDialogShellClassRec is null record;              -- DialogS.h:36

    pragma Import(C, xmDialogShellWidgetClass_obj, "xmDialogShellWidgetClass");
                                                            -- DialogS.h:34

    pragma Inline(XmIsDialogShell);

end Motif.DialogS;
