-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-drawinga.ads,v $ 
-- $Revision: 1.4 $ $Date: 95/12/05 08:53:03 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file DrawingA.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.DrawingA is

    type XmDrawingAreaClassRec is private;                  -- DrawingA.h:27
    type XmDrawingAreaRec is private;                       -- DrawingA.h:28

    type XmDrawingAreaWidgetClass is access all XmDrawingAreaClassRec;
                                                            -- DrawingA.h:27
    type XmDrawingAreaWidget is access all XmDrawingAreaRec;-- DrawingA.h:28

    xmDrawingAreaWidgetClass_obj: Xt.Intrinsic.WidgetClass;
                                                            -- DrawingA.h:25

    function XmCreateDrawingArea(
                p   : Xt.Intrinsic.Widget;
                name: X.Strings.const_charp;
                args: Xt.Intrinsic.ArgList;
                n   : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- DrawingA.h:44

    pragma Import(C, XmCreateDrawingArea, "XmCreateDrawingArea");

    function XmCreateDrawingArea(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                args: Xt.Intrinsic.ArgList;
                n   : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- DrawingA.h:44

    pragma Inline(XmCreateDrawingArea);

    -- *****************
    -- DrawingA.h macros
    -- *****************

    function XmIsDrawingArea (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- DrawingA.h:32

private

    type XmDrawingAreaRec is null record;                   -- DrawingA.h:28
    type XmDrawingAreaClassRec is null record;              -- DrawingA.h:27

    pragma Import(C, xmDrawingAreaWidgetClass_obj, "xmDrawingAreaWidgetClass");
                                                            -- DrawingA.h:25

    pragma Inline(XmIsDrawingArea);

end Motif.DrawingA;
