-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-drawnb.ads,v $ 
-- $Revision: 1.4 $ $Date: 95/12/05 08:53:04 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file DrawnB.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.DrawnB is

    type XmDrawnButtonClassRec is private;                  -- DrawnB.h:37
    type XmDrawnButtonRec is private;                       -- DrawnB.h:38

    type XmDrawnButtonWidgetClass is access all XmDrawnButtonClassRec;
                                                            -- DrawnB.h:37
    type XmDrawnButtonWidget is access all XmDrawnButtonRec;-- DrawnB.h:38

    xmDrawnButtonWidgetClass_obj: Xt.Intrinsic.WidgetClass;
                                                            -- DrawnB.h:35

    function XmCreateDrawnButton(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- DrawnB.h:48

    pragma Import(C, XmCreateDrawnButton, "XmCreateDrawnButton");

    function XmCreateDrawnButton(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- DrawnB.h:48

    pragma Inline(XmCreateDrawnButton);

    -- ***************
    -- DrawnB.h macros
    -- ***************

    function XmIsDrawnButton (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- DrawnB.h:30

private

    type XmDrawnButtonRec is null record;                   -- DrawnB.h:38
    type XmDrawnButtonClassRec is null record;              -- DrawnB.h:37

    pragma Import(C, xmDrawnButtonWidgetClass_obj, "xmDrawnButtonWidgetClass");
                                                            -- DrawnB.h:35

    pragma Inline(XmIsDrawnButton);

end Motif.DrawnB;
