-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-filesb.ads,v $ 
-- $Revision: 1.4 $ $Date: 95/12/19 15:35:08 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file FileSB.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X;
with X.Strings;
with Xt.Intrinsic;
with Motif.Xm;

package Motif.FileSB is

    type XmFileSelectionBoxClassRec is private;             -- FileSB.h:45
    type XmFileSelectionBoxRec is private;                  -- FileSB.h:46

    type XmFileSelectionBoxWidgetClass is access all XmFileSelectionBoxClassRec;
                                                            -- FileSB.h:45
    type XmFileSelectionBoxWidget is access all XmFileSelectionBoxRec;
                                                            -- FileSB.h:46

    type XmQualifyProc is access procedure (
                p1: Xt.Intrinsic.Widget;
                p2: Xt.Intrinsic.XtPointer;
                p3: Xt.Intrinsic.XtPointer);                -- FileSB.h:35


    type XmSearchProc is access procedure (
                p1: Xt.Intrinsic.Widget;
                p2: Xt.Intrinsic.XtPointer);                -- FileSB.h:36


    xmFileSelectionBoxWidgetClass_obj: Xt.Intrinsic.WidgetClass;
                                                            -- FileSB.h:43

    function XmFileSelectionBoxGetChild(
                fs   : Xt.Intrinsic.Widget;
                which: X.unsigned_int)
               return Xt.Intrinsic.Widget;                  -- FileSB.h:64

    procedure XmFileSelectionDoSearch(
                fs     : Xt.Intrinsic.Widget;
                dirmask: Motif.Xm.XmString);                -- FileSB.h:71

    function XmCreateFileSelectionBox(
                p   : Xt.Intrinsic.Widget;
                name: X.Strings.const_charp;
                args: Xt.Intrinsic.ArgList;
                n   : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- FileSB.h:74

    pragma Import(C, XmCreateFileSelectionBox, "XmCreateFileSelectionBox");

    function XmCreateFileSelectionBox(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                args: Xt.Intrinsic.ArgList;
                n   : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- FileSB.h:74

    pragma Inline(XmCreateFileSelectionBox);

    function XmCreateFileSelectionDialog(
                ds_p    : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                fsb_args: Xt.Intrinsic.ArgList;
                fsb_n   : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- FileSB.h:79

    pragma Import(C, XmCreateFileSelectionDialog, 
                     "XmCreateFileSelectionDialog");

    function XmCreateFileSelectionDialog(
                ds_p    : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                fsb_args: Xt.Intrinsic.ArgList;
                fsb_n   : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- FileSB.h:79

    pragma Inline(XmCreateFileSelectionDialog);

    -- ***************
    -- FileSB.h macros
    -- ***************

    function XmIsFileSelectionBox (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- FileSB.h:50

private

    type XmFileSelectionBoxRec is null record;              -- FileSB.h:46
    type XmFileSelectionBoxClassRec is null record;         -- FileSB.h:45

    pragma Import(C, xmFileSelectionBoxWidgetClass_obj, 
                     "xmFileSelectionBoxWidgetClass");      -- FileSB.h:43
    pragma Import(C, XmFileSelectionBoxGetChild, "XmFileSelectionBoxGetChild");
                                                            -- FileSB.h:64
    pragma Import(C, XmFileSelectionDoSearch, "XmFileSelectionDoSearch");
                                                            -- FileSB.h:71

    pragma Inline(XmIsFileSelectionBox);

    pragma Convention(C, XmQualifyProc);
    pragma Convention(C, XmSearchProc);
end Motif.FileSB;
