-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-mainw.adb,v $ 
-- $Revision: 1.4 $ $Date: 95/12/08 15:38:44 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS FURNISHED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file. 
--  
-- Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this file is permitted. 
-- --------------------------------------------------------------------------

with Interfaces.C;

package body Motif.MainW is

    function XmIsMainWindow (W: Xt.Intrinsic.Widget) 
        return Xt.Intrinsic.Boolean is
    begin
        return Xt.Intrinsic.XtIsSubclass(W, xmMainWindowWidgetClass_obj);
    end XmIsMainWindow;

    function XmCreateMainWindow(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                args    : Xt.Intrinsic.ArgList;
                argCount: Xt.Intrinsic.Cardinal) 
               return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array :=
            name & Interfaces.C.Nul;
    begin
        return XmCreateMainWindow(
                parent,
                Tmp_name(Tmp_name'First)'unchecked_access,
                args,
                argCount);
    end XmCreateMainWindow;                                 -- MainW.h:57

end Motif.MainW;
