-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-mainw.ads,v $ 
-- $Revision: 1.4 $ $Date: 95/12/05 08:53:09 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file MainW.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.MainW is

    type XmMainWindowClassRec is private;                   -- MainW.h:29
    type XmMainWindowRec is private;                        -- MainW.h:30

    type XmMainWindowWidgetClass is access all XmMainWindowClassRec;
                                                            -- MainW.h:29
    type XmMainWindowWidget is access all XmMainWindowRec;  -- MainW.h:30

    xmMainWindowWidgetClass_obj: Xt.Intrinsic.WidgetClass;  -- MainW.h:27

    procedure XmMainWindowSetAreas(
                w      : Xt.Intrinsic.Widget;
                menu   : Xt.Intrinsic.Widget;
                command: Xt.Intrinsic.Widget;
                hscroll: Xt.Intrinsic.Widget;
                vscroll: Xt.Intrinsic.Widget;
                wregion: Xt.Intrinsic.Widget);              -- MainW.h:44

    function XmMainWindowSep1(
                w: Xt.Intrinsic.Widget)
               return Xt.Intrinsic.Widget;                  -- MainW.h:51

    function XmMainWindowSep2(
                w: Xt.Intrinsic.Widget)
               return Xt.Intrinsic.Widget;                  -- MainW.h:53

    function XmMainWindowSep3(
                w: Xt.Intrinsic.Widget)
               return Xt.Intrinsic.Widget;                  -- MainW.h:55

    function XmCreateMainWindow(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                args    : Xt.Intrinsic.ArgList;
                argCount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MainW.h:57

    pragma Import(C, XmCreateMainWindow, "XmCreateMainWindow");

    function XmCreateMainWindow(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                args    : Xt.Intrinsic.ArgList;
                argCount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MainW.h:57

    pragma Inline(XmCreateMainWindow);

    -- ******************
    -- CascadeBG.h macros
    -- ******************

    function XmIsMainWindow (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- MainW.h:24

private

    type XmMainWindowRec is null record;                    -- MainW.h:30
    type XmMainWindowClassRec is null record;               -- MainW.h:29

    pragma Import(C, xmMainWindowWidgetClass_obj, "xmMainWindowWidgetClass");
                                                            -- MainW.h:27
    pragma Import(C, XmMainWindowSetAreas, "XmMainWindowSetAreas");
                                                            -- MainW.h:44
    pragma Import(C, XmMainWindowSep1, "XmMainWindowSep1"); -- MainW.h:51
    pragma Import(C, XmMainWindowSep2, "XmMainWindowSep2"); -- MainW.h:53
    pragma Import(C, XmMainWindowSep3, "XmMainWindowSep3"); -- MainW.h:55

    pragma Inline(XmIsMainWindow);

end Motif.MainW;
