-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-menushell.ads,v $ 
-- $Revision: 1.4 $ $Date: 95/12/05 08:53:10 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file MenuShell.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.MenuShell is

    type XmMenuShellClassRec is private;                    -- MenuShell.h:27
    type XmMenuShellWidgetRec is private;                   -- MenuShell.h:28

    type XmMenuShellWidgetClass is access all XmMenuShellClassRec;
                                                            -- MenuShell.h:27
    type XmMenuShellWidget is access all XmMenuShellWidgetRec;
                                                            -- MenuShell.h:28

    xmMenuShellWidgetClass_obj: Xt.Intrinsic.WidgetClass;   -- MenuShell.h:25

    function XmCreateMenuShell(
                parent: Xt.Intrinsic.Widget;
                name  : X.Strings.const_charp;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MenuShell.h:42

    pragma Import(C, XmCreateMenuShell, "XmCreateMenuShell");

    function XmCreateMenuShell(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MenuShell.h:42

    pragma Inline(XmCreateMenuShell);

    -- ******************
    -- MenuShell.h macros
    -- ******************

    function XmIsMenuShell (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- MenuShell.h:31

private

    type XmMenuShellWidgetRec is null record;               -- MenuShell.h:28
    type XmMenuShellClassRec is null record;                -- MenuShell.h:27

    pragma Import(C, xmMenuShellWidgetClass_obj, "xmMenuShellWidgetClass");
                                                            -- MenuShell.h:25

    pragma Inline(XmIsMenuShell);

end Motif.MenuShell;
