-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-messageb.adb,v $ 
-- $Revision: 1.4 $ $Date: 95/12/08 15:38:45 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS FURNISHED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file. 
--  
-- Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this file is permitted. 
-- --------------------------------------------------------------------------

with Interfaces.C;

package body Motif.MessageB is

    function XmIsMessageBox (W: Xt.Intrinsic.Widget) 
        return Xt.Intrinsic.Boolean is
    begin
        return Xt.Intrinsic.XtIsSubclass(W, xmMessageBoxWidgetClass_obj);
    end XmIsMessageBox;

    function XmCreateMessageBox(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal) return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array := 
            name & Interfaces.C.Nul;
    begin
        return XmCreateMessageBox(
                parent,
                Tmp_name(Tmp_name'First)'unchecked_access,
                al,
                ac);
    end XmCreateMessageBox;                                 -- MessageB.h:53

    function XmCreateMessageDialog(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal) 
            return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array := 
            name & Interfaces.C.Nul;
    begin
        return XmCreateMessageDialog(
                parent,
                Tmp_name(Tmp_name'First)'unchecked_access,
                al,
                ac);
    end XmCreateMessageDialog;                              -- MessageB.h:58

    function XmCreateErrorDialog(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal) 
            return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array := 
            name & Interfaces.C.Nul;
    begin
        return XmCreateErrorDialog(
                parent,
                Tmp_name(Tmp_name'First)'unchecked_access,
                al,
                ac);
    end XmCreateErrorDialog;                                -- MessageB.h:63

    function XmCreateInformationDialog(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal) 
            return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array := 
            name & Interfaces.C.Nul;
    begin
        return XmCreateInformationDialog(
                parent,
                Tmp_name(Tmp_name'First)'unchecked_access,
                al,
                ac);
    end XmCreateInformationDialog;                          -- MessageB.h:68

    function XmCreateQuestionDialog(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal) 
            return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array := 
            name & Interfaces.C.Nul;
    begin
        return XmCreateQuestionDialog(
                parent,
                Tmp_name(Tmp_name'First)'unchecked_access,
                al,
                ac);
    end XmCreateQuestionDialog;                             -- MessageB.h:73

    function XmCreateWarningDialog(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal) 
            return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array := 
            name & Interfaces.C.Nul;
    begin
        return XmCreateWarningDialog(
                parent,
                Tmp_name(Tmp_name'First)'unchecked_access,
                al,
                ac);
    end XmCreateWarningDialog;                              -- MessageB.h:78

    function XmCreateWorkingDialog(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal) 
            return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array := 
            name & Interfaces.C.Nul;
    begin
        return XmCreateWorkingDialog(
                parent,
                Tmp_name(Tmp_name'First)'unchecked_access,
                al,
                ac);
    end XmCreateWorkingDialog;                              -- MessageB.h:83

    function XmCreateTemplateDialog(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal) 
            return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array := 
            name & Interfaces.C.Nul;
    begin
        return XmCreateTemplateDialog(
                parent,
                Tmp_name(Tmp_name'First)'unchecked_access,
                al,
                ac);
    end XmCreateTemplateDialog;                             -- MessageB.h:88

end Motif.MessageB;
