-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-messageb.ads,v $ 
-- $Revision: 1.3 $ $Date: 95/12/05 08:53:11 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file MessageB.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X;
with X.Strings;
with Xt.Intrinsic;

package Motif.MessageB is

    type XmMessageBoxClassRec is private;                   -- MessageB.h:29
    type XmMessageBoxRec is private;                        -- MessageB.h:30

    type XmMessageBoxWidgetClass is access all XmMessageBoxClassRec;
                                                            -- MessageB.h:29
    type XmMessageBoxWidget is access all XmMessageBoxRec;  -- MessageB.h:30

    xmMessageBoxWidgetClass_obj: Xt.Intrinsic.WidgetClass;  -- MessageB.h:27

    function XmCreateMessageBox(
                parent: Xt.Intrinsic.Widget;
                name  : X.Strings.const_charp;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MessageB.h:53

    pragma Import(C, XmCreateMessageBox, "XmCreateMessageBox");

    function XmCreateMessageBox(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MessageB.h:53

    pragma Inline(XmCreateMessageBox);

    function XmCreateMessageDialog(
                parent: Xt.Intrinsic.Widget;
                name  : X.Strings.const_charp;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MessageB.h:58

    pragma Import(C, XmCreateMessageDialog, "XmCreateMessageDialog");

    function XmCreateMessageDialog(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MessageB.h:58

    pragma Inline(XmCreateMessageDialog);

    function XmCreateErrorDialog(
                parent: Xt.Intrinsic.Widget;
                name  : X.Strings.const_charp;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MessageB.h:63

    pragma Import(C, XmCreateErrorDialog, "XmCreateErrorDialog");

    function XmCreateErrorDialog(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MessageB.h:63

    pragma Inline(XmCreateErrorDialog);

    function XmCreateInformationDialog(
                parent: Xt.Intrinsic.Widget;
                name  : X.Strings.const_charp;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MessageB.h:68

    pragma Import(C, XmCreateInformationDialog, "XmCreateInformationDialog");

    function XmCreateInformationDialog(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MessageB.h:68

    pragma Inline(XmCreateInformationDialog);

    function XmCreateQuestionDialog(
                parent: Xt.Intrinsic.Widget;
                name  : X.Strings.const_charp;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MessageB.h:73

    pragma Import(C, XmCreateQuestionDialog, "XmCreateQuestionDialog");

    function XmCreateQuestionDialog(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MessageB.h:73

    pragma Inline(XmCreateQuestionDialog);

    function XmCreateWarningDialog(
                parent: Xt.Intrinsic.Widget;
                name  : X.Strings.const_charp;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MessageB.h:78

    pragma Import(C, XmCreateWarningDialog, "XmCreateWarningDialog");

    function XmCreateWarningDialog(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MessageB.h:78

    pragma Inline(XmCreateWarningDialog);

    function XmCreateWorkingDialog(
                parent: Xt.Intrinsic.Widget;
                name  : X.Strings.const_charp;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MessageB.h:83

    pragma Import(C, XmCreateWorkingDialog, "XmCreateWorkingDialog");

    function XmCreateWorkingDialog(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MessageB.h:83

    pragma Inline(XmCreateWorkingDialog);

    function XmCreateTemplateDialog(
                parent: Xt.Intrinsic.Widget;
                name  : X.Strings.const_charp;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MessageB.h:88

    pragma Import(C, XmCreateTemplateDialog, "XmCreateTemplateDialog");

    function XmCreateTemplateDialog(
                parent: Xt.Intrinsic.Widget;
                name  : Interfaces.C.Char_Array;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- MessageB.h:88

    pragma Inline(XmCreateTemplateDialog);

    function XmMessageBoxGetChild(
                widget: Xt.Intrinsic.Widget;
                child : X.unsigned_int)
               return Xt.Intrinsic.Widget;                  -- MessageB.h:93

    -- *****************
    -- MessageB.h macros
    -- *****************

    function XmIsMessageBox (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- MessageB.h:34

private

    type XmMessageBoxRec is null record;                    -- MessageB.h:30
    type XmMessageBoxClassRec is null record;               -- MessageB.h:29

    pragma Import(C, xmMessageBoxWidgetClass_obj, "xmMessageBoxWidgetClass");
                                                            -- MessageB.h:27
    pragma Import(C, XmMessageBoxGetChild, "XmMessageBoxGetChild");
                                                            -- MessageB.h:93

    pragma Inline(XmIsMessageBox);

end Motif.MessageB;
