-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-pushbg.ads,v $ 
-- $Revision: 1.4 $ $Date: 95/12/05 08:53:14 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file PushBG.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.PushBG is

    type XmPushButtonGadgetClassRec is private;             -- PushBG.h:41
    type XmPushButtonGadgetRec is private;                  -- PushBG.h:42
    type XmPushButtonGCacheObjRec is private;               -- PushBG.h:43

    type XmPushButtonGadgetClass is access all XmPushButtonGadgetClassRec;
                                                            -- PushBG.h:41
    type XmPushButtonGadget is access all XmPushButtonGadgetRec;
                                                            -- PushBG.h:42
    type XmPushButtonGCacheObject is access all XmPushButtonGCacheObjRec;
                                                            -- PushBG.h:43

    xmPushButtonGadgetClass_obj: Xt.Intrinsic.WidgetClass;  -- PushBG.h:39

    function XmCreatePushButtonGadget(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- PushBG.h:53


    pragma Import(C, XmCreatePushButtonGadget, "XmCreatePushButtonGadget");

    function XmCreatePushButtonGadget(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- PushBG.h:53

    pragma Inline(XmCreatePushButtonGadget);

    -- ******************
    -- CascadeBG.h macros
    -- ******************

    function XmIsPushButtonGadget (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- PushBG.h:36

private

    type XmPushButtonGCacheObjRec is null record;           -- PushBG.h:43
    type XmPushButtonGadgetRec is null record;              -- PushBG.h:42
    type XmPushButtonGadgetClassRec is null record;         -- PushBG.h:41

    pragma Import(C, xmPushButtonGadgetClass_obj, "xmPushButtonGadgetClass");
                                                            -- PushBG.h:39

    pragma Inline(XmIsPushButtonGadget);

end Motif.PushBG;
