-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-rowcolumn.adb,v $ 
-- $Revision: 1.4 $ $Date: 95/12/08 15:38:50 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS FURNISHED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file. 
--  
-- Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this file is permitted. 
-- --------------------------------------------------------------------------

with Interfaces.C;

package body Motif.RowColumn is

    function XmIsRowColumn (W: Xt.Intrinsic.Widget) 
        return Xt.Intrinsic.Boolean is
    begin
        return Xt.Intrinsic.XtIsSubclass(W, xmRowColumnWidgetClass_obj);
    end XmIsRowColumn;

    function XmCreateRowColumn(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal) return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array := 
            name & Interfaces.C.Nul;
    begin
        return XmCreateRowColumn(
                p,
                Tmp_name(Tmp_name'First)'unchecked_access,
                al,
                ac);
    end XmCreateRowColumn;                                  -- RowColumn.h:56

    function XmCreateWorkArea(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal) 
            return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array := 
            name & Interfaces.C.Nul;
    begin
        return XmCreateWorkArea(
                p,
                Tmp_name(Tmp_name'First)'unchecked_access,
                al,
                ac);
    end XmCreateWorkArea;                                   -- RowColumn.h:61

    function XmCreateRadioBox(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal) 
            return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array := 
            name & Interfaces.C.Nul;
    begin
        return XmCreateRadioBox(
                p,
                Tmp_name(Tmp_name'First)'unchecked_access,
                al,
                ac);
    end XmCreateRadioBox;                                   -- RowColumn.h:66

    function XmCreateOptionMenu(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal) 
            return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array := 
            name & Interfaces.C.Nul;
    begin
        return XmCreateOptionMenu(
                p,
                Tmp_name(Tmp_name'First)'unchecked_access,
                al,
                ac);
    end XmCreateOptionMenu;                                 -- RowColumn.h:71

    function XmCreateMenuBar(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal) 
            return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array := 
            name & Interfaces.C.Nul;
    begin
        return XmCreateMenuBar(
                p,
                Tmp_name(Tmp_name'First)'unchecked_access,
                al,
                ac);
    end XmCreateMenuBar;                                    -- RowColumn.h:80

    function XmCreatePopupMenu(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal) 
            return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array := 
            name & Interfaces.C.Nul;
    begin
        return XmCreatePopupMenu(
                p,
                Tmp_name(Tmp_name'First)'unchecked_access,
                al,
                ac);
    end XmCreatePopupMenu;                                  -- RowColumn.h:85

    function XmCreatePulldownMenu(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal) 
            return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array := 
            name & Interfaces.C.Nul;
    begin
        return XmCreatePulldownMenu(
                p,
                Tmp_name(Tmp_name'First)'unchecked_access,
                al,
                ac);
    end XmCreatePulldownMenu;                               -- RowColumn.h:90

end Motif.RowColumn;
