-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-scale.ads,v $ 
-- $Revision: 1.3 $ $Date: 95/12/05 08:53:16 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file Scale.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.Scale is

    type XmScaleClassRec is private;                        -- Scale.h:35
    type XmScaleRec is private;                             -- Scale.h:36

    type XmScaleWidgetClass is access all XmScaleClassRec;  -- Scale.h:35
    type XmScaleWidget is access all XmScaleRec;            -- Scale.h:36

    xmScaleWidgetClass_obj: Xt.Intrinsic.WidgetClass;       -- Scale.h:28

    procedure XmScaleSetValue(
                w    : Xt.Intrinsic.Widget;
                value: X.signed_int);                       -- Scale.h:48

    procedure XmScaleGetValue(
                w    : Xt.Intrinsic.Widget;
                value: access X.signed_int);                -- Scale.h:51

    function XmCreateScale(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- Scale.h:54

    pragma Import(C, XmCreateScale, "XmCreateScale");

    function XmCreateScale(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- Scale.h:54

    pragma Inline(XmCreateScale);

    -- **************
    -- Scale.h macros
    -- **************

    function XmIsScale (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- Scale.h:32

private

    type XmScaleRec is null record;                         -- Scale.h:36
    type XmScaleClassRec is null record;                    -- Scale.h:35

    pragma Import(C, xmScaleWidgetClass_obj, "xmScaleWidgetClass");
                                                            -- Scale.h:28
    pragma Import(C, XmScaleSetValue, "XmScaleSetValue");   -- Scale.h:48
    pragma Import(C, XmScaleGetValue, "XmScaleGetValue");   -- Scale.h:51

    pragma Inline(XmIsScale);

end Motif.Scale;
