-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-screen.ads,v $ 
-- $Revision: 1.3 $ $Date: 95/12/05 08:53:16 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file Screen.h.
-- --------------------------------------------------------------------------

with X.Xlib;
with Xt.Intrinsic;

package Motif.Screen is

    type XmScreenRec is private;                            -- Screen.h:29
    type XmScreenClassRec is private;                       -- Screen.h:30

    type XmScreen is access all XmScreenRec;                -- Screen.h:29
    type XmScreenClass is access all XmScreenClassRec;      -- Screen.h:30

    xmScreenClass_obj: Xt.Intrinsic.WidgetClass;            -- Screen.h:31

    function XmGetXmScreen(
                screen: X.Xlib.Screen_access)
               return Xt.Intrinsic.Widget;                  -- Screen.h:41

    -- ***************
    -- Screen.h macros
    -- ***************

    function XmIsScreen (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- Screen.h:24

private

    type XmScreenClassRec is null record;                   -- Screen.h:30
    type XmScreenRec is null record;                        -- Screen.h:29

    pragma Import(C, xmScreenClass_obj, "xmScreenClass");   -- Screen.h:31
    pragma Import(C, XmGetXmScreen, "XmGetXmScreen");       -- Screen.h:41

    pragma Inline(XmIsScreen);

end Motif.Screen;
