-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-scrolledw.ads,v $ 
-- $Revision: 1.4 $ $Date: 95/12/05 08:53:17 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file ScrolledW.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.ScrolledW is

    type XmScrolledWindowClassRec is private;               -- ScrolledW.h:31
    type XmScrolledWindowRec is private;                    -- ScrolledW.h:32

    type XmScrolledWindowWidgetClass is access all XmScrolledWindowClassRec;
                                                            -- ScrolledW.h:31
    type XmScrolledWindowWidget is access all XmScrolledWindowRec;
                                                            -- ScrolledW.h:32

    xmScrolledWindowWidgetClass_obj: Xt.Intrinsic.WidgetClass;
                                                            -- ScrolledW.h:29

    procedure XmScrolledWindowSetAreas(
                w      : Xt.Intrinsic.Widget;
                hscroll: Xt.Intrinsic.Widget;
                vscroll: Xt.Intrinsic.Widget;
                wregion: Xt.Intrinsic.Widget);              -- ScrolledW.h:44

    function XmCreateScrolledWindow(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                args    : Xt.Intrinsic.ArgList;
                argCount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- ScrolledW.h:49

    pragma Import(C, XmCreateScrolledWindow, "XmCreateScrolledWindow");

    function XmCreateScrolledWindow(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                args    : Xt.Intrinsic.ArgList;
                argCount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- ScrolledW.h:49

    pragma Inline(XmCreateScrolledWindow);

    procedure XmScrollVisible(
                scrw      : Xt.Intrinsic.Widget;
                wid       : Xt.Intrinsic.Widget;
                hor_margin: Xt.Intrinsic.Dimension;
                ver_margin: Xt.Intrinsic.Dimension);        -- ScrolledW.h:54

    -- ******************
    -- ScrolledW.h macros
    -- ******************

    function XmIsScrolledWindow (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- ScrolledW.h:25

private

    type XmScrolledWindowRec is null record;                -- ScrolledW.h:32
    type XmScrolledWindowClassRec is null record;           -- ScrolledW.h:31

    pragma Import(C, xmScrolledWindowWidgetClass_obj, 
                     "xmScrolledWindowWidgetClass");        -- ScrolledW.h:29
    pragma Import(C, XmScrolledWindowSetAreas, "XmScrolledWindowSetAreas");
                                                            -- ScrolledW.h:44
    pragma Import(C, XmScrollVisible, "XmScrollVisible");   -- ScrolledW.h:54

    pragma Inline(XmIsScrolledWindow);

end Motif.ScrolledW;
