-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-selectiob.adb,v $ 
-- $Revision: 1.4 $ $Date: 95/12/08 15:38:52 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS FURNISHED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file. 
--  
-- Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this file is permitted. 
-- --------------------------------------------------------------------------

with Interfaces.C;

package body Motif.SelectioB is

    function XmIsSelectionBox (W: Xt.Intrinsic.Widget) 
        return Xt.Intrinsic.Boolean is
    begin
        return Xt.Intrinsic.XtIsSubclass(W, xmSelectionBoxWidgetClass_obj);
    end XmIsSelectionBox;

    function XmCreateSelectionBox(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                args: Xt.Intrinsic.ArgList;
                n   : Xt.Intrinsic.Cardinal) return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array :=
            name & Interfaces.C.Nul;
    begin
        return XmCreateSelectionBox(
                p,
                Tmp_name(Tmp_name'First)'unchecked_access,
                args,
                n);
    end XmCreateSelectionBox;                               -- SelectioB.h:56

    function XmCreateSelectionDialog(
                ds_p   : Xt.Intrinsic.Widget;
                name   : Interfaces.C.Char_Array;
                sb_args: Xt.Intrinsic.ArgList;
                sb_n   : Xt.Intrinsic.Cardinal) 
            return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array :=
            name & Interfaces.C.Nul;
    begin
        return XmCreateSelectionDialog(
                ds_p,
                Tmp_name(Tmp_name'First)'unchecked_access,
                sb_args,
                sb_n);
    end XmCreateSelectionDialog;                            -- SelectioB.h:61

    function XmCreatePromptDialog(
                ds_p   : Xt.Intrinsic.Widget;
                name   : Interfaces.C.Char_Array;
                sb_args: Xt.Intrinsic.ArgList;
                sb_n   : Xt.Intrinsic.Cardinal) 
            return Xt.Intrinsic.Widget is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_name: constant Interfaces.C.Char_Array :=
            name & Interfaces.C.Nul;
    begin
        return XmCreatePromptDialog(
                ds_p,
                Tmp_name(Tmp_name'First)'unchecked_access,
                sb_args,
                sb_n);
    end XmCreatePromptDialog;                               -- SelectioB.h:66

end Motif.SelectioB;
