-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-separatog.ads,v $ 
-- $Revision: 1.4 $ $Date: 95/12/05 08:53:19 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file SeparatoG.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.SeparatoG is

    type XmSeparatorGadgetClassRec is private;              -- SeparatoG.h:30
    type XmSeparatorGadgetRec is private;                   -- SeparatoG.h:31
    type XmSeparatorGCacheObjRec is private;                -- SeparatoG.h:32

    type XmSeparatorGadgetClass is access all XmSeparatorGadgetClassRec;
                                                            -- SeparatoG.h:30
    type XmSeparatorGadget is access all XmSeparatorGadgetRec;
                                                            -- SeparatoG.h:31
    type XmSeparatorGCacheObject is access all XmSeparatorGCacheObjRec;
                                                            -- SeparatoG.h:32

    xmSeparatorGadgetClass_obj: Xt.Intrinsic.WidgetClass;   -- SeparatoG.h:28

    function XmCreateSeparatorGadget(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- SeparatoG.h:42

    pragma Import(C, XmCreateSeparatorGadget, "XmCreateSeparatorGadget");

    function XmCreateSeparatorGadget(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- SeparatoG.h:42

    pragma Inline(XmCreateSeparatorGadget);

    -- ******************
    -- SeparatoG.h macros
    -- ******************

    function XmIsSeparatorGadget (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- SeparatoG:h:25

private

    type XmSeparatorGCacheObjRec is null record;            -- SeparatoG.h:32
    type XmSeparatorGadgetRec is null record;               -- SeparatoG.h:31
    type XmSeparatorGadgetClassRec is null record;          -- SeparatoG.h:30

    pragma Import(C, xmSeparatorGadgetClass_obj, "xmSeparatorGadgetClass");
                                                            -- SeparatoG.h:28

    pragma Inline(XmIsSeparatorGadget);

end Motif.SeparatoG;
