-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-toggleb.ads,v $ 

-- $Revision: 1.3 $ $Date: 95/12/05 08:53:21 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file ToggleB.h.
-- --------------------------------------------------------------------------
with Interfaces.C;
with X;
with X.Strings;
with Xt.Intrinsic;

package Motif.ToggleB is

    type XmToggleButtonClassRec is private;                 -- ToggleB.h:32
    type XmToggleButtonRec is private;                      -- ToggleB.h:33

    type XmToggleButtonWidgetClass is access all XmToggleButtonClassRec;
                                                            -- ToggleB.h:32
    type XmToggleButtonWidget is access all XmToggleButtonRec;
                                                            -- ToggleB.h:33

    xmToggleButtonWidgetClass_obj: Xt.Intrinsic.WidgetClass;
                                                            -- ToggleB.h:30

    function XmToggleButtonGetState(
                w: Xt.Intrinsic.Widget)
               return Xt.Intrinsic.Boolean;                 -- ToggleB.h:50

    procedure XmToggleButtonSetState(
                w       : Xt.Intrinsic.Widget;
                newstate: X.signed_int;
                notify  : X.signed_int);                    -- ToggleB.h:52

    function XmCreateToggleButton(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                arglist : Xt.Intrinsic.ArgList;
                argCount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- ToggleB.h:61

    pragma Import(C, XmCreateToggleButton, "XmCreateToggleButton");

    function XmCreateToggleButton(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                arglist : Xt.Intrinsic.ArgList;
                argCount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- ToggleB.h:61

    pragma Inline(XmCreateToggleButton);

    -- ****************
    -- ToggleB.h macros
    -- ****************

    function XmIsToggleButton (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- ToggleB.h:37

private

    type XmToggleButtonRec is null record;                  -- ToggleB.h:33
    type XmToggleButtonClassRec is null record;             -- ToggleB.h:32

    pragma Import(C, xmToggleButtonWidgetClass_obj, 
                     "xmToggleButtonWidgetClass");          -- ToggleB.h:30
    pragma Import(C, XmToggleButtonGetState, "XmToggleButtonGetState");
                                                            -- ToggleB.h:50
    pragma Import(C, XmToggleButtonSetState, "XmToggleButtonSetState");
                                                            -- ToggleB.h:52

    pragma Inline(XmIsToggleButton);

end Motif.ToggleB;
