-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-togglebg.ads,v $ 
-- $Revision: 1.3 $ $Date: 95/12/05 08:53:22 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file ToggleBG.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X;
with X.Strings;
with Xt.Intrinsic;

package Motif.ToggleBG is

    type XmToggleButtonGadgetClassRec is private;           -- ToggleBG.h:33
    type XmToggleButtonGadgetRec is private;                -- ToggleBG.h:34
    type XmToggleButtonGCacheObjRec is private;             -- ToggleBG.h:35

    type XmToggleButtonGadgetClass is access all XmToggleButtonGadgetClassRec;
                                                            -- ToggleBG.h:33
    type XmToggleButtonGadget is access all XmToggleButtonGadgetRec;
                                                            -- ToggleBG.h:34
    type XmToggleButtonGCacheObject is access all XmToggleButtonGCacheObjRec;
                                                            -- ToggleBG.h:35

    xmToggleButtonGadgetClass_obj: Xt.Intrinsic.WidgetClass;
                                                            -- ToggleBG.h:31

    function XmToggleButtonGadgetGetState(
                w: Xt.Intrinsic.Widget)
               return Xt.Intrinsic.Boolean;                 -- ToggleBG.h:53

    procedure XmToggleButtonGadgetSetState(
                w       : Xt.Intrinsic.Widget;
                newstate: X.signed_int;
                notify  : X.signed_int);                    -- ToggleBG.h:55

    function XmCreateToggleButtonGadget(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                arglist : Xt.Intrinsic.ArgList;
                argCount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- ToggleBG.h:64

    pragma Import(C, XmCreateToggleButtonGadget, "XmCreateToggleButtonGadget");

    function XmCreateToggleButtonGadget(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                arglist : Xt.Intrinsic.ArgList;
                argCount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- ToggleBG.h:64

    pragma Inline(XmCreateToggleButtonGadget);

    -- *****************
    -- ToggleBG.h macros
    -- *****************

    function XmIsToggleButtonGadget (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- ToggleBG.h:37

private

    type XmToggleButtonGCacheObjRec is null record;         -- ToggleBG.h:35
    type XmToggleButtonGadgetRec is null record;            -- ToggleBG.h:34
    type XmToggleButtonGadgetClassRec is null record;       -- ToggleBG.h:33

    pragma Import(C, xmToggleButtonGadgetClass_obj, 
                     "xmToggleButtonGadgetClass");          -- ToggleBG.h:31
    pragma Import(C, XmToggleButtonGadgetGetState, 
                     "XmToggleButtonGadgetGetState");       -- ToggleBG.h:53
    pragma Import(C, XmToggleButtonGadgetSetState, 
                     "XmToggleButtonGadgetSetState");       -- ToggleBG.h:55

    pragma Inline(XmIsToggleButtonGadget);

end Motif.ToggleBG;
