-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-virtkeys.ads,v $ 
-- $Revision: 1.2 $ $Date: 95/12/05 08:53:23 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file VirtKeys.h.
-- --------------------------------------------------------------------------

with X;
with X.Xlib;
with Xt.Intrinsic;

package Motif.VirtKeys is

    osfXK_BackSpace       : constant := 16#1004ff08#;       -- VirtKeys.h:26
    osfXK_Insert          : constant := 16#1004ff63#;       -- VirtKeys.h:27
    osfXK_Delete          : constant := 16#1004ffff#;       -- VirtKeys.h:28
    osfXK_Copy            : constant := 16#1004ff02#;       -- VirtKeys.h:29
    osfXK_Cut             : constant := 16#1004ff03#;       -- VirtKeys.h:30
    osfXK_Paste           : constant := 16#1004ff04#;       -- VirtKeys.h:31
    osfXK_AddMode         : constant := 16#1004ff31#;       -- VirtKeys.h:33
    osfXK_PrimaryPaste    : constant := 16#1004ff32#;       -- VirtKeys.h:34
    osfXK_QuickPaste      : constant := 16#1004ff33#;       -- VirtKeys.h:35
    osfXK_PageLeft        : constant := 16#1004ff40#;       -- VirtKeys.h:37
    osfXK_PageUp          : constant := 16#1004ff41#;       -- VirtKeys.h:38
    osfXK_PageDown        : constant := 16#1004ff42#;       -- VirtKeys.h:39
    osfXK_PageRight       : constant := 16#1004ff43#;       -- VirtKeys.h:40
    osfXK_EndLine         : constant := 16#1004ff57#;       -- VirtKeys.h:42
    osfXK_BeginLine       : constant := 16#1004ff58#;       -- VirtKeys.h:43
    osfXK_Activate        : constant := 16#1004ff44#;       -- VirtKeys.h:45
    osfXK_MenuBar         : constant := 16#1004ff45#;       -- VirtKeys.h:47
    osfXK_Clear           : constant := 16#1004ff0b#;       -- VirtKeys.h:49
    osfXK_Cancel          : constant := 16#1004ff69#;       -- VirtKeys.h:50
    osfXK_Help            : constant := 16#1004ff6a#;       -- VirtKeys.h:51
    osfXK_Menu            : constant := 16#1004ff67#;       -- VirtKeys.h:52
    osfXK_Select          : constant := 16#1004ff60#;       -- VirtKeys.h:53
    osfXK_Undo            : constant := 16#1004ff65#;       -- VirtKeys.h:54
    osfXK_Left            : constant := 16#1004ff51#;       -- VirtKeys.h:56
    osfXK_Up              : constant := 16#1004ff52#;       -- VirtKeys.h:57
    osfXK_Right           : constant := 16#1004ff53#;       -- VirtKeys.h:58
    osfXK_Down            : constant := 16#1004ff54#;       -- VirtKeys.h:59

    procedure XmTranslateKey(
                dpy             : access X.Xlib.Display;
                keycode         : X.unsigned_int;
                modifiers       : Xt.Intrinsic.Modifiers;
                modifiers_return: access Xt.Intrinsic.Modifiers;
                keysym_return   : access X.KeySym);         -- VirtKeys.h:71

private

    pragma Import(C, XmTranslateKey, "XmTranslateKey");     -- VirtKeys.h:71

end Motif.VirtKeys;
