-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-xmstrdefs.ads,v $ 
-- $Revision: 1.5 $ $Date: 95/12/08 15:39:00 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file XmStrDefs.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Shell;
with Xt.Stringdefs;

package Motif.XmStrDefs is

    XmStrings: Interfaces.C.Char_Array(0..15000);
    pragma Import(C, XmStrings, "_XmStrings");

    subtype CCP is X.Strings.Const_Charp;

    XmS : constant CCP := XmStrings(0)'access;
    XmCAccelerator : constant CCP := XmStrings(1)'access;
    XmCAcceleratorText : constant CCP := XmStrings(13)'access;
    XmCAdjustLast : constant CCP := XmStrings(29)'access;
    XmCAdjustMargin : constant CCP := XmStrings(40)'access;
    XmCAlignment : constant CCP := XmStrings(53)'access;
    XmCAllowOverlap : constant CCP := XmStrings(63)'access;
    XmCAnimationMask : constant CCP := XmStrings(76)'access;
    XmCAnimationPixmap : constant CCP := XmStrings(90)'access;
    XmCAnimationPixmapDepth : constant CCP := XmStrings(106)'access;
    XmCAnimationStyle : constant CCP := XmStrings(127)'access;
    XmCApplyLabelString : constant CCP := XmStrings(142)'access;
    XmCArmCallback : constant CCP := XmStrings(159)'access;
    XmCArmColor : constant CCP := XmStrings(171)'access;
    XmCArmPixmap : constant CCP := XmStrings(180)'access;
    XmCArrowDirection : constant CCP := XmStrings(190)'access;
    XmCAttachment : constant CCP := XmStrings(205)'access;
    XmCAudibleWarning : constant CCP := XmStrings(216)'access;
    XmCAutoShowCursorPosition : constant CCP := XmStrings(231)'access;
    XmCAutoUnmanage : constant CCP := XmStrings(254)'access;
    XmCAutomaticSelection : constant CCP := XmStrings(267)'access;
    XmCAvailability : constant CCP := XmStrings(286)'access;
    XmCBackgroundPixmap : constant CCP := XmStrings(299)'access;
    XmCBlendModel : constant CCP := XmStrings(316)'access;
    XmCBlinkRate : constant CCP := XmStrings(327)'access;
    XmCBottomShadowColor : constant CCP := XmStrings(337)'access;
    XmCBottomShadowPixmap : constant CCP := XmStrings(355)'access;
    XmCButtonAcceleratorText : constant CCP := XmStrings(374)'access;
    XmCButtonAccelerators : constant CCP := XmStrings(396)'access;
    XmCButtonCount : constant CCP := XmStrings(415)'access;
    XmCButtonFontList : constant CCP := XmStrings(427)'access;
    XmCButtonMnemonicCharSets : constant CCP := XmStrings(442)'access;
    XmCButtonMnemonics : constant CCP := XmStrings(465)'access;
    XmCButtonSet : constant CCP := XmStrings(481)'access;
    XmCButtonType : constant CCP := XmStrings(491)'access;
    XmCButtons : constant CCP := XmStrings(502)'access;
    XmCCancelLabelString : constant CCP := XmStrings(510)'access;
    XmCChildHorizontalAlignment : constant CCP := XmStrings(528)'access;
    XmCChildHorizontalSpacing : constant CCP := XmStrings(553)'access;
    XmCChildPlacement : constant CCP := XmStrings(576)'access;
    XmCChildType : constant CCP := XmStrings(591)'access;
    XmCChildVerticalAlignment : constant CCP := XmStrings(601)'access;
    XmCChildren : constant CCP := XmStrings(624)'access;
    XmCClientData : constant CCP := XmStrings(633)'access;
    XmCClipWindow : constant CCP := XmStrings(644)'access;
    XmCColumns : constant CCP := XmStrings(655)'access;
    XmCCommandWindow : constant CCP := XmStrings(663)'access;
    XmCCommandWindowLocation : constant CCP := XmStrings(677)'access;
    XmCConvertProc : constant CCP := XmStrings(699)'access;
    XmCCursorBackground : constant CCP := XmStrings(711)'access;
    XmCCursorForeground : constant CCP := XmStrings(728)'access;
    XmCCursorPosition : constant CCP := XmStrings(745)'access;
    XmCCursorPositionVisible : constant CCP := XmStrings(760)'access;
    XmCDarkThreshold : constant CCP := XmStrings(782)'access;
    XmCDecimalPoints : constant CCP := XmStrings(796)'access;
    XmCDefaultButtonShadowThickness : constant CCP := XmStrings(810)'access;
    XmCDefaultButtonType : constant CCP := XmStrings(839)'access;
    XmCDefaultCopyCursorIcon : constant CCP := XmStrings(857)'access;
    XmCDefaultFontList : constant CCP := XmStrings(879)'access;
    XmCDefaultInvalidCursorIcon : constant CCP := XmStrings(895)'access;
    XmCDefaultLinkCursorIcon : constant CCP := XmStrings(920)'access;
    XmCDefaultMoveCursorIcon : constant CCP := XmStrings(942)'access;
    XmCDefaultNoneCursorIcon : constant CCP := XmStrings(964)'access;
    XmCDefaultPosition : constant CCP := XmStrings(986)'access;
    XmCDefaultSourceCursorIcon : constant CCP := XmStrings(1002)'access;
    XmCDefaultValidCursorIcon : constant CCP := XmStrings(1026)'access;
    XmCDeleteResponse : constant CCP := XmStrings(1049)'access;
    XmCDesktopParent : constant CCP := XmStrings(1064)'access;
    XmCDialogStyle : constant CCP := XmStrings(1078)'access;
    XmCDialogTitle : constant CCP := XmStrings(1090)'access;
    XmCDialogType : constant CCP := XmStrings(1102)'access;
    XmCDirListItemCount : constant CCP := XmStrings(1113)'access;
    XmCDirListItems : constant CCP := XmStrings(1130)'access;
    XmCDirListLabelString : constant CCP := XmStrings(1143)'access;
    XmCDirMask : constant CCP := XmStrings(1162)'access;
    XmCDirSearchProc : constant CCP := XmStrings(1170)'access;
    XmCDirSpec : constant CCP := XmStrings(1184)'access;
    XmCDirectory : constant CCP := XmStrings(1192)'access;
    XmCDirectoryValid : constant CCP := XmStrings(1202)'access;
    XmCDisarmCallback : constant CCP := XmStrings(1217)'access;
    XmCDoubleClickInterval : constant CCP := XmStrings(1232)'access;
    XmCDragContextClass : constant CCP := XmStrings(1252)'access;
    XmCDragDropFinishCallback : constant CCP := XmStrings(1269)'access;
    XmCDragIconClass : constant CCP := XmStrings(1292)'access;
    XmCDragInitiatorProtocolStyle : constant CCP := XmStrings(1306)'access;
    XmCDragMotionCallback : constant CCP := XmStrings(1333)'access;
    XmCDragOperations : constant CCP := XmStrings(1352)'access;
    XmCDragOverMode : constant CCP := XmStrings(1367)'access;
    XmCDragProc : constant CCP := XmStrings(1380)'access;
    XmCDragReceiverProtocolStyle : constant CCP := XmStrings(1389)'access;
    XmCDropProc : constant CCP := XmStrings(1415)'access;
    XmCDropRectangles : constant CCP := XmStrings(1424)'access;
    XmCDropSiteActivity : constant CCP := XmStrings(1439)'access;
    XmCDropSiteEnterCallback : constant CCP := XmStrings(1456)'access;
    XmCDropSiteLeaveCallback : constant CCP := XmStrings(1478)'access;
    XmCDropSiteManagerClass : constant CCP := XmStrings(1500)'access;
    XmCDropSiteOperations : constant CCP := XmStrings(1521)'access;
    XmCDropSiteType : constant CCP := XmStrings(1540)'access;
    XmCDropStartCallback : constant CCP := XmStrings(1553)'access;
    XmCDropTransferClass : constant CCP := XmStrings(1571)'access;
    XmCDropTransfers : constant CCP := XmStrings(1589)'access;
    XmCEditable : constant CCP := XmStrings(1603)'access;
    XmCEntryBorder : constant CCP := XmStrings(1612)'access;
    XmCEntryClass : constant CCP := XmStrings(1624)'access;
    XmCExportTargets : constant CCP := XmStrings(1635)'access;
    XmCExposeCallback : constant CCP := XmStrings(1649)'access;
    XmCExtensionType : constant CCP := XmStrings(1664)'access;
    XmCFileListItemCount : constant CCP := XmStrings(1678)'access;
    XmCFileListItems : constant CCP := XmStrings(1696)'access;
    XmCFileListLabelString : constant CCP := XmStrings(1710)'access;
    XmCFileSearchProc : constant CCP := XmStrings(1730)'access;
    XmCFileTypeMask : constant CCP := XmStrings(1745)'access;
    XmCFillOnArm : constant CCP := XmStrings(1758)'access;
    XmCFillOnSelect : constant CCP := XmStrings(1768)'access;
    XmCFilterLabelString : constant CCP := XmStrings(1781)'access;
    XmCFontList : constant CCP := XmStrings(1799)'access;
    XmCForegroundThreshold : constant CCP := XmStrings(1808)'access;
    XmCHelpLabelString : constant CCP := XmStrings(1828)'access;
    XmCHighlightColor : constant CCP := XmStrings(1844)'access;
    XmCHighlightOnEnter : constant CCP := XmStrings(1859)'access;
    XmCHighlightPixmap : constant CCP := XmStrings(1876)'access;
    XmCHighlightThickness : constant CCP := XmStrings(1892)'access;
    XmCHorizontalFontUnit : constant CCP := XmStrings(1911)'access;
    XmCHorizontalScrollBar : constant CCP := XmStrings(1930)'access;
    XmCHot : constant CCP := XmStrings(1950)'access;
    XmCICCHandle : constant CCP := XmStrings(1954)'access;
    XmCImportTargets : constant CCP := XmStrings(1964)'access;
    XmCIncrement : constant CCP := XmStrings(1978)'access;
    XmCIncremental : constant CCP := XmStrings(1988)'access;
    XmCIndicatorOn : constant CCP := XmStrings(2000)'access;
    XmCIndicatorSize : constant CCP := XmStrings(2012)'access;
    XmCIndicatorType : constant CCP := XmStrings(2026)'access;
    XmCInitialDelay : constant CCP := XmStrings(2040)'access;
    XmCInitialFocus : constant CCP := XmStrings(2053)'access;
    XmCInputCreate : constant CCP := XmStrings(2066)'access;
    XmCInputMethod : constant CCP := XmStrings(2078)'access;
    XmCInvalidCursorForeground : constant CCP := XmStrings(2090)'access;
    XmCIsAligned : constant CCP := XmStrings(2114)'access;
    XmCIsHomogeneous : constant CCP := XmStrings(2124)'access;
    XmCItemCount : constant CCP := XmStrings(2138)'access;
    XmCItems : constant CCP := XmStrings(2148)'access;
    XmCKeyboardFocusPolicy : constant CCP := XmStrings(2154)'access;
    XmCLabelFontList : constant CCP := XmStrings(2174)'access;
    XmCLabelInsensitivePixmap : constant CCP := XmStrings(2188)'access;
    XmCLabelPixmap : constant CCP := XmStrings(2211)'access;
    XmCLabelString : constant CCP := XmStrings(2223)'access;
    XmCLabelType : constant CCP := XmStrings(2235)'access;
    XmCLightThreshold : constant CCP := XmStrings(2245)'access;
    XmCListLabelString : constant CCP := XmStrings(2260)'access;
    XmCListMarginHeight : constant CCP := XmStrings(2276)'access;
    XmCListMarginWidth : constant CCP := XmStrings(2293)'access;
    XmCListSizePolicy : constant CCP := XmStrings(2309)'access;
    XmCListSpacing : constant CCP := XmStrings(2324)'access;
    XmCListUpdated : constant CCP := XmStrings(2336)'access;
    XmCLogicalParent : constant CCP := XmStrings(2348)'access;
    XmCMainWindowMarginHeight : constant CCP := XmStrings(2362)'access;
    XmCMainWindowMarginWidth : constant CCP := XmStrings(2385)'access;
    XmCMappingDelay : constant CCP := XmStrings(2407)'access;
    XmCMarginBottom : constant CCP := XmStrings(2420)'access;
    XmCMarginHeight : constant CCP := XmStrings(2433)'access;
    XmCMarginLeft : constant CCP := XmStrings(2446)'access;
    XmCMarginRight : constant CCP := XmStrings(2457)'access;
    XmCMarginTop : constant CCP := XmStrings(2469)'access;
    XmCMarginWidth : constant CCP := XmStrings(2479)'access;
    XmCMask : constant CCP := XmStrings(2491)'access;
    XmCMaxItems : constant CCP := XmStrings(2496)'access;
    XmCMaxLength : constant CCP := XmStrings(2505)'access;
    XmCMaxValue : constant CCP := XmStrings(2515)'access;
    XmCMaximum : constant CCP := XmStrings(2524)'access;
    XmCMenuBar : constant CCP := XmStrings(2532)'access;
    XmCMenuPost : constant CCP := XmStrings(2540)'access;
    XmCMenuWidget : constant CCP := XmStrings(2549)'access;
    XmCMessageProc : constant CCP := XmStrings(2560)'access;
    XmCMessageWindow : constant CCP := XmStrings(2572)'access;
    XmCMinimizeButtons : constant CCP := XmStrings(2586)'access;
    XmCMinimum : constant CCP := XmStrings(2602)'access;
    XmCMnemonic : constant CCP := XmStrings(2610)'access;
    XmCMnemonicCharSet : constant CCP := XmStrings(2619)'access;
    XmCMoveOpaque : constant CCP := XmStrings(2635)'access;
    XmCMultiClick : constant CCP := XmStrings(2646)'access;
    XmCMustMatch : constant CCP := XmStrings(2657)'access;
    XmCMwmDecorations : constant CCP := XmStrings(2667)'access;
    XmCMwmFunctions : constant CCP := XmStrings(2682)'access;
    XmCMwmInputMode : constant CCP := XmStrings(2695)'access;
    XmCMwmMenu : constant CCP := XmStrings(2708)'access;
    XmCMwmMessages : constant CCP := XmStrings(2716)'access;
    XmCNavigationType : constant CCP := XmStrings(2728)'access;
    XmCNeedsMotion : constant CCP := XmStrings(2743)'access;
    XmCNoMatchString : constant CCP := XmStrings(2755)'access;
    XmCNoResize : constant CCP := XmStrings(2769)'access;
    XmCNoneCursorForeground : constant CCP := XmStrings(2778)'access;
    XmCNotifyProc : constant CCP := XmStrings(2799)'access;
    XmCNumChildren : constant CCP := XmStrings(2810)'access;
    XmCNumColumns : constant CCP := XmStrings(2822)'access;
    XmCNumDropRectangles : constant CCP := XmStrings(2833)'access;
    XmCNumDropTransfers : constant CCP := XmStrings(2851)'access;
    XmCNumExportTargets : constant CCP := XmStrings(2868)'access;
    XmCNumImportTargets : constant CCP := XmStrings(2885)'access;
    XmCOffset : constant CCP := XmStrings(2902)'access;
    XmCOkLabelString : constant CCP := XmStrings(2909)'access;
    XmCOperationChangedCallback : constant CCP := XmStrings(2923)'access;
    XmCOperationCursorIcon : constant CCP := XmStrings(2948)'access;
    XmCOptionLabel : constant CCP := XmStrings(2968)'access;
    XmCOptionMnemonic : constant CCP := XmStrings(2980)'access;
    XmCOutputCreate : constant CCP := XmStrings(2995)'access;
    XmCPacking : constant CCP := XmStrings(3008)'access;
    XmCPageIncrement : constant CCP := XmStrings(3016)'access;
    XmCPaneMaximum : constant CCP := XmStrings(3030)'access;
    XmCPaneMinimum : constant CCP := XmStrings(3042)'access;
    XmCPattern : constant CCP := XmStrings(3054)'access;
    XmCPendingDelete : constant CCP := XmStrings(3062)'access;
    XmCPopupEnabled : constant CCP := XmStrings(3076)'access;
    XmCPositionIndex : constant CCP := XmStrings(3089)'access;
    XmCPostFromButton : constant CCP := XmStrings(3103)'access;
    XmCPostFromCount : constant CCP := XmStrings(3118)'access;
    XmCPostFromList : constant CCP := XmStrings(3132)'access;
    XmCPreeditType : constant CCP := XmStrings(3145)'access;
    XmCProcessingDirection : constant CCP := XmStrings(3157)'access;
    XmCPromptString : constant CCP := XmStrings(3177)'access;
    XmCProtocolCallback : constant CCP := XmStrings(3190)'access;
    XmCPushButtonEnabled : constant CCP := XmStrings(3207)'access;
    XmCQualifySearchDataProc : constant CCP := XmStrings(3225)'access;
    XmCRadioAlwaysOne : constant CCP := XmStrings(3247)'access;
    XmCRadioBehavior : constant CCP := XmStrings(3262)'access;
    XmCRecomputeSize : constant CCP := XmStrings(3276)'access;
    XmCRectangles : constant CCP := XmStrings(3290)'access;
    XmCRepeatDelay : constant CCP := XmStrings(3301)'access;
    XmCResizeCallback : constant CCP := XmStrings(3313)'access;
    XmCResizeHeight : constant CCP := XmStrings(3328)'access;
    XmCResizePolicy : constant CCP := XmStrings(3341)'access;
    XmCResizeWidth : constant CCP := XmStrings(3354)'access;
    XmCRowColumnType : constant CCP := XmStrings(3366)'access;
    XmCRows : constant CCP := XmStrings(3380)'access;
    XmCRubberPositioning : constant CCP := XmStrings(3385)'access;
    XmCSashHeight : constant CCP := XmStrings(3403)'access;
    XmCSashIndent : constant CCP := XmStrings(3414)'access;
    XmCSashWidth : constant CCP := XmStrings(3425)'access;
    XmCScaleHeight : constant CCP := XmStrings(3435)'access;
    XmCScaleMultiple : constant CCP := XmStrings(3447)'access;
    XmCScaleWidth : constant CCP := XmStrings(3461)'access;
    XmCScroll : constant CCP := XmStrings(3472)'access;
    XmCScrollBarDisplayPolicy : constant CCP := XmStrings(3479)'access;
    XmCScrollBarPlacement : constant CCP := XmStrings(3502)'access;
    XmCScrollSide : constant CCP := XmStrings(3521)'access;
    XmCScrolledWindowMarginHeight : constant CCP := XmStrings(3532)'access;
    XmCScrolledWindowMarginWidth : constant CCP := XmStrings(3559)'access;
    XmCScrollingPolicy : constant CCP := XmStrings(3585)'access;
    XmCSelectColor : constant CCP := XmStrings(3601)'access;
    XmCSelectInsensitivePixmap : constant CCP := XmStrings(3613)'access;
    XmCSelectPixmap : constant CCP := XmStrings(3637)'access;
    XmCSelectThreshold : constant CCP := XmStrings(3650)'access;
    XmCSelectedItemCount : constant CCP := XmStrings(3666)'access;
    XmCSelectedItems : constant CCP := XmStrings(3684)'access;
    XmCSelectionArrayCount : constant CCP := XmStrings(3698)'access;
    XmCSelectionLabelString : constant CCP := XmStrings(3718)'access;
    XmCSelectionPolicy : constant CCP := XmStrings(3739)'access;
    XmCSeparatorOn : constant CCP := XmStrings(3755)'access;
    XmCSeparatorType : constant CCP := XmStrings(3767)'access;
    XmCSet : constant CCP := XmStrings(3781)'access;
    XmCShadowThickness : constant CCP := XmStrings(3785)'access;
    XmCShadowType : constant CCP := XmStrings(3801)'access;
    XmCShellUnitType : constant CCP := XmStrings(3812)'access;
    XmCShowArrows : constant CCP := XmStrings(3826)'access;
    XmCShowAsDefault : constant CCP := XmStrings(3837)'access;
    XmCShowSeparator : constant CCP := XmStrings(3851)'access;
    XmCShowValue : constant CCP := XmStrings(3865)'access;
    XmCSimpleCheckBox : constant CCP := XmStrings(3875)'access;
    XmCSimpleMenuBar : constant CCP := XmStrings(3890)'access;
    XmCSimpleOptionMenu : constant CCP := XmStrings(3904)'access;
    XmCSimplePopupMenu : constant CCP := XmStrings(3921)'access;
    XmCSimplePulldownMenu : constant CCP := XmStrings(3937)'access;
    XmCSimpleRadioBox : constant CCP := XmStrings(3956)'access;
    XmCSizePolicy : constant CCP := XmStrings(3971)'access;
    XmCSliderSize : constant CCP := XmStrings(3982)'access;
    XmCSource : constant CCP := XmStrings(3993)'access;
    XmCSourceCursorIcon : constant CCP := XmStrings(4000)'access;
    XmCSourceIsExternal : constant CCP := XmStrings(4017)'access;
    XmCSourcePixmapIcon : constant CCP := XmStrings(4034)'access;
    XmCSourceWidget : constant CCP := XmStrings(4051)'access;
    XmCSourceWindow : constant CCP := XmStrings(4064)'access;
    XmCSpacing : constant CCP := XmStrings(4077)'access;
    XmCStartTime : constant CCP := XmStrings(4085)'access;
    XmCStateCursorIcon : constant CCP := XmStrings(4095)'access;
    XmCStringDirection : constant CCP := XmStrings(4111)'access;
    XmCTearOffModel : constant CCP := XmStrings(4127)'access;
    XmCTextFontList : constant CCP := XmStrings(4140)'access;
    XmCTextString : constant CCP := XmStrings(4153)'access;
    XmCTextValue : constant CCP := XmStrings(4164)'access;
    XmCTitleString : constant CCP := XmStrings(4174)'access;
    XmCTopCharacter : constant CCP := XmStrings(4186)'access;
    XmCTopItemPosition : constant CCP := XmStrings(4199)'access;
    XmCTopLevelEnterCallback : constant CCP := XmStrings(4215)'access;
    XmCTopLevelLeaveCallback : constant CCP := XmStrings(4237)'access;
    XmCTopShadowColor : constant CCP := XmStrings(4259)'access;
    XmCTopShadowPixmap : constant CCP := XmStrings(4274)'access;
    XmCTransferProc : constant CCP := XmStrings(4290)'access;
    XmCTransferStatus : constant CCP := XmStrings(4303)'access;
    XmCTraversalOn : constant CCP := XmStrings(4318)'access;
    XmCTraversalType : constant CCP := XmStrings(4330)'access;
    XmCTreeUpdateProc : constant CCP := XmStrings(4344)'access;
    XmCTroughColor : constant CCP := XmStrings(4359)'access;
    XmCUnitType : constant CCP := XmStrings(4371)'access;
    XmCUnpostBehavior : constant CCP := XmStrings(4380)'access;
    XmCUnselectPixmap : constant CCP := XmStrings(4395)'access;
    XmCUpdateSliderSize : constant CCP := XmStrings(4410)'access;
    XmCUseAsyncGeometry : constant CCP := XmStrings(4427)'access;
    XmCUserData : constant CCP := XmStrings(4444)'access;
    XmCValidCursorForeground : constant CCP := XmStrings(4453)'access;
    XmCValueChangedCallback : constant CCP := XmStrings(4475)'access;
    XmCValueWcs : constant CCP := XmStrings(4496)'access;
    XmCVerifyBell : constant CCP := XmStrings(4505)'access;
    XmCVerticalAlignment : constant CCP := XmStrings(4516)'access;
    XmCVerticalFontUnit : constant CCP := XmStrings(4534)'access;
    XmCVerticalScrollBar : constant CCP := XmStrings(4551)'access;
    XmCVisibleItemCount : constant CCP := XmStrings(4569)'access;
    XmCVisibleWhenOff : constant CCP := XmStrings(4586)'access;
    XmCVisualPolicy : constant CCP := XmStrings(4601)'access;
    XmCWhichButton : constant CCP := XmStrings(4614)'access;
    XmCWordWrap : constant CCP := XmStrings(4626)'access;
    XmCWorkWindow : constant CCP := XmStrings(4635)'access;
    XmCXmString : constant CCP := XmStrings(4646)'access;
    XmNaccelerator : constant CCP := XmStrings(4655)'access;
    XmNacceleratorText : constant CCP := XmStrings(4667)'access;
    XmNactivateCallback : constant CCP := XmStrings(4683)'access;
    XmNadjustLast : constant CCP := XmStrings(4700)'access;
    XmNadjustMargin : constant CCP := XmStrings(4711)'access;
    XmNalignment : constant CCP := XmStrings(4724)'access;
    XmNallowOverlap : constant CCP := XmStrings(4734)'access;
    XmNallowResize : constant CCP := XmStrings(4747)'access;
    XmNanimationMask : constant CCP := XmStrings(4759)'access;
    XmNanimationPixmap : constant CCP := XmStrings(4773)'access;
    XmNanimationPixmapDepth : constant CCP := XmStrings(4789)'access;
    XmNanimationStyle : constant CCP := XmStrings(4810)'access;
    XmNapplyCallback : constant CCP := XmStrings(4825)'access;
    XmNapplyLabelString : constant CCP := XmStrings(4839)'access;
    XmNarmCallback : constant CCP := XmStrings(4856)'access;
    XmNarmColor : constant CCP := XmStrings(4868)'access;
    XmNarmPixmap : constant CCP := XmStrings(4877)'access;
    XmNarrowDirection : constant CCP := XmStrings(4887)'access;
    XmNattachment : constant CCP := XmStrings(4902)'access;
    XmNaudibleWarning : constant CCP := XmStrings(4913)'access;
    XmNautoShowCursorPosition : constant CCP := XmStrings(4928)'access;
    XmNautoUnmanage : constant CCP := XmStrings(4951)'access;
    XmNautomaticSelection : constant CCP := XmStrings(4964)'access;
    XmNavailability : constant CCP := XmStrings(4983)'access;
    XmNblendModel : constant CCP := XmStrings(4996)'access;
    XmNblinkRate : constant CCP := XmStrings(5007)'access;
    XmNbottomAttachment : constant CCP := XmStrings(5017)'access;
    XmNbottomOffset : constant CCP := XmStrings(5034)'access;
    XmNbottomPosition : constant CCP := XmStrings(5047)'access;
    XmNbottomShadowColor : constant CCP := XmStrings(5062)'access;
    XmNbottomShadowPixmap : constant CCP := XmStrings(5080)'access;
    XmNbottomWidget : constant CCP := XmStrings(5099)'access;
    XmNbrowseSelectionCallback : constant CCP := XmStrings(5112)'access;
    XmNbuttonAcceleratorText : constant CCP := XmStrings(5136)'access;
    XmNbuttonAccelerators : constant CCP := XmStrings(5158)'access;
    XmNbuttonCount : constant CCP := XmStrings(5177)'access;
    XmNbuttonFontList : constant CCP := XmStrings(5189)'access;
    XmNbuttonMnemonicCharSets : constant CCP := XmStrings(5204)'access;
    XmNbuttonMnemonics : constant CCP := XmStrings(5227)'access;
    XmNbuttonSet : constant CCP := XmStrings(5243)'access;
    XmNbuttonType : constant CCP := XmStrings(5253)'access;
    XmNbuttons : constant CCP := XmStrings(5264)'access;
    XmNcancelButton : constant CCP := XmStrings(5272)'access;
    XmNcancelCallback : constant CCP := XmStrings(5285)'access;
    XmNcancelLabelString : constant CCP := XmStrings(5300)'access;
    XmNcascadePixmap : constant CCP := XmStrings(5318)'access;
    XmNcascadingCallback : constant CCP := XmStrings(5332)'access;
    XmNchildHorizontalAlignment : constant CCP := XmStrings(5350)'access;
    XmNchildHorizontalSpacing : constant CCP := XmStrings(5375)'access;
    XmNchildPlacement : constant CCP := XmStrings(5398)'access;
    XmNchildPosition : constant CCP := XmStrings(5413)'access;
    XmNchildType : constant CCP := XmStrings(5427)'access;
    XmNchildVerticalAlignment : constant CCP := XmStrings(5437)'access;
    XmNclientData : constant CCP := XmStrings(5460)'access;
    XmNclipWindow : constant CCP := XmStrings(5471)'access;
    XmNcolumns : constant CCP := XmStrings(5482)'access;
    XmNcommand : constant CCP := XmStrings(5490)'access;
    XmNcommandChangedCallback : constant CCP := XmStrings(5498)'access;
    XmNcommandEnteredCallback : constant CCP := XmStrings(5521)'access;
    XmNcommandWindow : constant CCP := XmStrings(5544)'access;
    XmNcommandWindowLocation : constant CCP := XmStrings(5558)'access;
    XmNconvertProc : constant CCP := XmStrings(5580)'access;
    XmNcursorBackground : constant CCP := XmStrings(5592)'access;
    XmNcursorForeground : constant CCP := XmStrings(5609)'access;
    XmNcursorPosition : constant CCP := XmStrings(5626)'access;
    XmNcursorPositionVisible : constant CCP := XmStrings(5641)'access;
    XmNdarkThreshold : constant CCP := XmStrings(5663)'access;
    XmNdecimalPoints : constant CCP := XmStrings(5677)'access;
    XmNdecrementCallback : constant CCP := XmStrings(5691)'access;
    XmNdefaultActionCallback : constant CCP := XmStrings(5709)'access;
    XmNdefaultButton : constant CCP := XmStrings(5731)'access;
    XmNdefaultButtonShadowThickness : constant CCP := XmStrings(5745)'access;
    XmNdefaultButtonType : constant CCP := XmStrings(5774)'access;
    XmNdefaultCopyCursorIcon : constant CCP := XmStrings(5792)'access;
    XmNdefaultFontList : constant CCP := XmStrings(5814)'access;
    XmNdefaultInvalidCursorIcon : constant CCP := XmStrings(5830)'access;
    XmNdefaultLinkCursorIcon : constant CCP := XmStrings(5855)'access;
    XmNdefaultMoveCursorIcon : constant CCP := XmStrings(5877)'access;
    XmNdefaultNoneCursorIcon : constant CCP := XmStrings(5899)'access;
    XmNdefaultPosition : constant CCP := XmStrings(5921)'access;
    XmNdefaultSourceCursorIcon : constant CCP := XmStrings(5937)'access;
    XmNdefaultValidCursorIcon : constant CCP := XmStrings(5961)'access;
    XmNdeleteResponse : constant CCP := XmStrings(5984)'access;
    XmNdesktopParent : constant CCP := XmStrings(5999)'access;
    XmNdialogStyle : constant CCP := XmStrings(6013)'access;
    XmNdialogTitle : constant CCP := XmStrings(6025)'access;
    XmNdialogType : constant CCP := XmStrings(6037)'access;
    XmNdirListItemCount : constant CCP := XmStrings(6048)'access;
    XmNdirListItems : constant CCP := XmStrings(6065)'access;
    XmNdirListLabelString : constant CCP := XmStrings(6078)'access;
    XmNdirMask : constant CCP := XmStrings(6097)'access;
    XmNdirSearchProc : constant CCP := XmStrings(6105)'access;
    XmNdirSpec : constant CCP := XmStrings(6119)'access;
    XmNdirectory : constant CCP := XmStrings(6127)'access;
    XmNdirectoryValid : constant CCP := XmStrings(6137)'access;
    XmNdisarmCallback : constant CCP := XmStrings(6152)'access;
    XmNdoubleClickInterval : constant CCP := XmStrings(6167)'access;
    XmNdragCallback : constant CCP := XmStrings(6187)'access;
    XmNdragContextClass : constant CCP := XmStrings(6200)'access;
    XmNdragDropFinishCallback : constant CCP := XmStrings(6217)'access;
    XmNdragIconClass : constant CCP := XmStrings(6240)'access;
    XmNdragInitiatorProtocolStyle : constant CCP := XmStrings(6254)'access;
    XmNdragMotionCallback : constant CCP := XmStrings(6281)'access;
    XmNdragOperations : constant CCP := XmStrings(6300)'access;
    XmNdragOverMode : constant CCP := XmStrings(6315)'access;
    XmNdragProc : constant CCP := XmStrings(6328)'access;
    XmNdragReceiverProtocolStyle : constant CCP := XmStrings(6337)'access;
    XmNdropFinishCallback : constant CCP := XmStrings(6363)'access;
    XmNdropProc : constant CCP := XmStrings(6382)'access;
    XmNdropRectangles : constant CCP := XmStrings(6391)'access;
    XmNdropSiteActivity : constant CCP := XmStrings(6406)'access;
    XmNdropSiteEnterCallback : constant CCP := XmStrings(6423)'access;
    XmNdropSiteLeaveCallback : constant CCP := XmStrings(6445)'access;
    XmNdropSiteManagerClass : constant CCP := XmStrings(6467)'access;
    XmNdropSiteOperations : constant CCP := XmStrings(6488)'access;
    XmNdropSiteType : constant CCP := XmStrings(6507)'access;
    XmNdropStartCallback : constant CCP := XmStrings(6520)'access;
    XmNdropTransferClass : constant CCP := XmStrings(6538)'access;
    XmNdropTransfers : constant CCP := XmStrings(6556)'access;
    XmNeditMode : constant CCP := XmStrings(6570)'access;
    XmNeditable : constant CCP := XmStrings(6579)'access;
    XmNentryAlignment : constant CCP := XmStrings(6588)'access;
    XmNentryBorder : constant CCP := XmStrings(6603)'access;
    XmNentryCallback : constant CCP := XmStrings(6615)'access;
    XmNentryClass : constant CCP := XmStrings(6629)'access;
    XmNentryVerticalAlignment : constant CCP := XmStrings(6640)'access;
    XmNexportTargets : constant CCP := XmStrings(6663)'access;
    XmNexposeCallback : constant CCP := XmStrings(6677)'access;
    XmNextendedSelectionCallback : constant CCP := XmStrings(6692)'access;
    XmNextensionType : constant CCP := XmStrings(6718)'access;
    XmNfileListItemCount : constant CCP := XmStrings(6732)'access;
    XmNfileListItems : constant CCP := XmStrings(6750)'access;
    XmNfileListLabelString : constant CCP := XmStrings(6764)'access;
    XmNfileSearchProc : constant CCP := XmStrings(6784)'access;
    XmNfileTypeMask : constant CCP := XmStrings(6799)'access;
    XmNfillOnArm : constant CCP := XmStrings(6812)'access;
    XmNfillOnSelect : constant CCP := XmStrings(6822)'access;
    XmNfilterLabelString : constant CCP := XmStrings(6835)'access;
    XmNfocusCallback : constant CCP := XmStrings(6853)'access;
    XmNfocusMovedCallback : constant CCP := XmStrings(6867)'access;
    XmNfocusPolicyChanged : constant CCP := XmStrings(6886)'access;
    XmNfontList : constant CCP := XmStrings(6905)'access;
    XmNforegroundThreshold : constant CCP := XmStrings(6914)'access;
    XmNfractionBase : constant CCP := XmStrings(6934)'access;
    XmNgainPrimaryCallback : constant CCP := XmStrings(6947)'access;
    XmNhelpCallback : constant CCP := XmStrings(6967)'access;
    XmNhelpLabelString : constant CCP := XmStrings(6980)'access;
    XmNhighlightColor : constant CCP := XmStrings(6996)'access;
    XmNhighlightOnEnter : constant CCP := XmStrings(7011)'access;
    XmNhighlightPixmap : constant CCP := XmStrings(7028)'access;
    XmNhighlightThickness : constant CCP := XmStrings(7044)'access;
    XmNhistoryItemCount : constant CCP := XmStrings(7063)'access;
    XmNhistoryItems : constant CCP := XmStrings(7080)'access;
    XmNhistoryMaxItems : constant CCP := XmStrings(7093)'access;
    XmNhistoryVisibleItemCount : constant CCP := XmStrings(7109)'access;
    XmNhorizontalFontUnit : constant CCP := XmStrings(7133)'access;
    XmNhorizontalScrollBar : constant CCP := XmStrings(7152)'access;
    XmNhorizontalSpacing : constant CCP := XmStrings(7172)'access;
    XmNhotX : constant CCP := XmStrings(7190)'access;
    XmNhotY : constant CCP := XmStrings(7195)'access;
    XmNiccHandle : constant CCP := XmStrings(7200)'access;
    XmNimportTargets : constant CCP := XmStrings(7210)'access;
    XmNincrement : constant CCP := XmStrings(7224)'access;
    XmNincrementCallback : constant CCP := XmStrings(7234)'access;
    XmNincremental : constant CCP := XmStrings(7252)'access;
    XmNindicatorOn : constant CCP := XmStrings(7264)'access;
    XmNindicatorSize : constant CCP := XmStrings(7276)'access;
    XmNindicatorType : constant CCP := XmStrings(7290)'access;
    XmNinitialDelay : constant CCP := XmStrings(7304)'access;
    XmNinitialFocus : constant CCP := XmStrings(7317)'access;
    XmNinputCallback : constant CCP := XmStrings(7330)'access;
    XmNinputCreate : constant CCP := XmStrings(7344)'access;
    XmNinputMethod : constant CCP := XmStrings(7356)'access;
    XmNinvalidCursorForeground : constant CCP := XmStrings(7368)'access;
    XmNisAligned : constant CCP := XmStrings(7392)'access;
    XmNisHomogeneous : constant CCP := XmStrings(7402)'access;
    XmNitemCount : constant CCP := XmStrings(7416)'access;
    XmNitems : constant CCP := XmStrings(7426)'access;
    XmNkeyboardFocusPolicy : constant CCP := XmStrings(7432)'access;
    XmNlabelFontList : constant CCP := XmStrings(7452)'access;
    XmNlabelInsensitivePixmap : constant CCP := XmStrings(7466)'access;
    XmNlabelPixmap : constant CCP := XmStrings(7489)'access;
    XmNlabelString : constant CCP := XmStrings(7501)'access;
    XmNlabelType : constant CCP := XmStrings(7513)'access;
    XmNleftAttachment : constant CCP := XmStrings(7523)'access;
    XmNleftOffset : constant CCP := XmStrings(7538)'access;
    XmNleftPosition : constant CCP := XmStrings(7549)'access;
    XmNleftWidget : constant CCP := XmStrings(7562)'access;
    XmNlightThreshold : constant CCP := XmStrings(7573)'access;
    XmNlineSpace : constant CCP := XmStrings(7588)'access;
    XmNlistItemCount : constant CCP := XmStrings(7598)'access;
    XmNlistItems : constant CCP := XmStrings(7612)'access;
    XmNlistLabelString : constant CCP := XmStrings(7622)'access;
    XmNlistMarginHeight : constant CCP := XmStrings(7638)'access;
    XmNlistMarginWidth : constant CCP := XmStrings(7655)'access;
    XmNlistSizePolicy : constant CCP := XmStrings(7671)'access;
    XmNlistSpacing : constant CCP := XmStrings(7686)'access;
    XmNlistUpdated : constant CCP := XmStrings(7698)'access;
    XmNlistVisibleItemCount : constant CCP := XmStrings(7710)'access;
    XmNlogicalParent : constant CCP := XmStrings(7731)'access;
    XmNlosePrimaryCallback : constant CCP := XmStrings(7745)'access;
    XmNlosingFocusCallback : constant CCP := XmStrings(7765)'access;
    XmNmainWindowMarginHeight : constant CCP := XmStrings(7785)'access;
    XmNmainWindowMarginWidth : constant CCP := XmStrings(7808)'access;
    XmNmapCallback : constant CCP := XmStrings(7830)'access;
    XmNmappingDelay : constant CCP := XmStrings(7842)'access;
    XmNmargin : constant CCP := XmStrings(7855)'access;
    XmNmarginBottom : constant CCP := XmStrings(7862)'access;
    XmNmarginHeight : constant CCP := XmStrings(7875)'access;
    XmNmarginLeft : constant CCP := XmStrings(7888)'access;
    XmNmarginRight : constant CCP := XmStrings(7899)'access;
    XmNmarginTop : constant CCP := XmStrings(7911)'access;
    XmNmarginWidth : constant CCP := XmStrings(7921)'access;
    XmNmask : constant CCP := XmStrings(7933)'access;
    XmNmaxLength : constant CCP := XmStrings(7938)'access;
    XmNmaximum : constant CCP := XmStrings(7948)'access;
    XmNmenuAccelerator : constant CCP := XmStrings(7956)'access;
    XmNmenuBar : constant CCP := XmStrings(7972)'access;
    XmNmenuCursor : constant CCP := XmStrings(7980)'access;
    XmNmenuHelpWidget : constant CCP := XmStrings(7991)'access;
    XmNmenuHistory : constant CCP := XmStrings(8006)'access;
    XmNmenuPost : constant CCP := XmStrings(8018)'access;
    XmNmessageAlignment : constant CCP := XmStrings(8027)'access;
    XmNmessageProc : constant CCP := XmStrings(8044)'access;
    XmNmessageString : constant CCP := XmStrings(8056)'access;
    XmNmessageWindow : constant CCP := XmStrings(8070)'access;
    XmNminimizeButtons : constant CCP := XmStrings(8084)'access;
    XmNminimum : constant CCP := XmStrings(8100)'access;
    XmNmnemonic : constant CCP := XmStrings(8108)'access;
    XmNmnemonicCharSet : constant CCP := XmStrings(8117)'access;
    XmNmodifyVerifyCallback : constant CCP := XmStrings(8133)'access;
    XmNmodifyVerifyCallbackWcs : constant CCP := XmStrings(8154)'access;
    XmNmotionVerifyCallback : constant CCP := XmStrings(8178)'access;
    XmNmoveOpaque : constant CCP := XmStrings(8199)'access;
    XmNmultiClick : constant CCP := XmStrings(8210)'access;
    XmNmultipleSelectionCallback : constant CCP := XmStrings(8221)'access;
    XmNmustMatch : constant CCP := XmStrings(8247)'access;
    XmNmwmDecorations : constant CCP := XmStrings(8257)'access;
    XmNmwmFunctions : constant CCP := XmStrings(8272)'access;
    XmNmwmInputMode : constant CCP := XmStrings(8285)'access;
    XmNmwmMenu : constant CCP := XmStrings(8298)'access;
    XmNmwmMessages : constant CCP := XmStrings(8306)'access;
    XmNnavigationType : constant CCP := XmStrings(8318)'access;
    XmNneedsMotion : constant CCP := XmStrings(8333)'access;
    XmNnoMatchCallback : constant CCP := XmStrings(8345)'access;
    XmNnoMatchString : constant CCP := XmStrings(8361)'access;
    XmNnoResize : constant CCP := XmStrings(8375)'access;
    XmNnoneCursorForeground : constant CCP := XmStrings(8384)'access;
    XmNnotifyProc : constant CCP := XmStrings(8405)'access;
    XmNnumColumns : constant CCP := XmStrings(8416)'access;
    XmNnumDropRectangles : constant CCP := XmStrings(8427)'access;
    XmNnumDropTransfers : constant CCP := XmStrings(8445)'access;
    XmNnumExportTargets : constant CCP := XmStrings(8462)'access;
    XmNnumImportTargets : constant CCP := XmStrings(8479)'access;
    XmNnumRectangles : constant CCP := XmStrings(8496)'access;
    XmNoffsetX : constant CCP := XmStrings(8510)'access;
    XmNoffsetY : constant CCP := XmStrings(8518)'access;
    XmNokCallback : constant CCP := XmStrings(8526)'access;
    XmNokLabelString : constant CCP := XmStrings(8537)'access;
    XmNoperationChangedCallback : constant CCP := XmStrings(8551)'access;
    XmNoperationCursorIcon : constant CCP := XmStrings(8576)'access;
    XmNoptionLabel : constant CCP := XmStrings(8596)'access;
    XmNoptionMnemonic : constant CCP := XmStrings(8608)'access;
    XmNoutputCreate : constant CCP := XmStrings(8623)'access;
    XmNpacking : constant CCP := XmStrings(8636)'access;
    XmNpageDecrementCallback : constant CCP := XmStrings(8644)'access;
    XmNpageIncrement : constant CCP := XmStrings(8666)'access;
    XmNpageIncrementCallback : constant CCP := XmStrings(8680)'access;
    XmNpaneMaximum : constant CCP := XmStrings(8702)'access;
    XmNpaneMinimum : constant CCP := XmStrings(8714)'access;
    XmNpattern : constant CCP := XmStrings(8726)'access;
    XmNpendingDelete : constant CCP := XmStrings(8734)'access;
    XmNpopupEnabled : constant CCP := XmStrings(8748)'access;
    XmNpositionIndex : constant CCP := XmStrings(8761)'access;
    XmNpostFromButton : constant CCP := XmStrings(8775)'access;
    XmNpostFromCount : constant CCP := XmStrings(8790)'access;
    XmNpostFromList : constant CCP := XmStrings(8804)'access;
    XmNpreeditType : constant CCP := XmStrings(8817)'access;
    XmNprocessingDirection : constant CCP := XmStrings(8829)'access;
    XmNpromptString : constant CCP := XmStrings(8849)'access;
    XmNprotocolCallback : constant CCP := XmStrings(8862)'access;
    XmNpushButtonEnabled : constant CCP := XmStrings(8879)'access;
    XmNqualifySearchDataProc : constant CCP := XmStrings(8897)'access;
    XmNradioAlwaysOne : constant CCP := XmStrings(8919)'access;
    XmNradioBehavior : constant CCP := XmStrings(8934)'access;
    XmNrealizeCallback : constant CCP := XmStrings(8948)'access;
    XmNrecomputeSize : constant CCP := XmStrings(8964)'access;
    XmNrectangles : constant CCP := XmStrings(8978)'access;
    XmNrefigureMode : constant CCP := XmStrings(8989)'access;
    XmNrepeatDelay : constant CCP := XmStrings(9002)'access;
    XmNresizable : constant CCP := XmStrings(9014)'access;
    XmNresizeCallback : constant CCP := XmStrings(9024)'access;
    XmNresizeHeight : constant CCP := XmStrings(9039)'access;
    XmNresizePolicy : constant CCP := XmStrings(9052)'access;
    XmNresizeWidth : constant CCP := XmStrings(9065)'access;
    XmNrightAttachment : constant CCP := XmStrings(9077)'access;
    XmNrightOffset : constant CCP := XmStrings(9093)'access;
    XmNrightPosition : constant CCP := XmStrings(9105)'access;
    XmNrightWidget : constant CCP := XmStrings(9119)'access;
    XmNrowColumnType : constant CCP := XmStrings(9131)'access;
    XmNrows : constant CCP := XmStrings(9145)'access;
    XmNrubberPositioning : constant CCP := XmStrings(9150)'access;
    XmNsashHeight : constant CCP := XmStrings(9168)'access;
    XmNsashIndent : constant CCP := XmStrings(9179)'access;
    XmNsashShadowThickness : constant CCP := XmStrings(9190)'access;
    XmNsashWidth : constant CCP := XmStrings(9210)'access;
    XmNscaleHeight : constant CCP := XmStrings(9220)'access;
    XmNscaleMultiple : constant CCP := XmStrings(9232)'access;
    XmNscaleWidth : constant CCP := XmStrings(9246)'access;
    XmNscrollBarDisplayPolicy : constant CCP := XmStrings(9257)'access;
    XmNscrollBarPlacement : constant CCP := XmStrings(9280)'access;
    XmNscrollHorizontal : constant CCP := XmStrings(9299)'access;
    XmNscrollLeftSide : constant CCP := XmStrings(9316)'access;
    XmNscrollTopSide : constant CCP := XmStrings(9331)'access;
    XmNscrollVertical : constant CCP := XmStrings(9345)'access;
    XmNscrolledWindowMarginHeight : constant CCP := XmStrings(9360)'access;
    XmNscrolledWindowMarginWidth : constant CCP := XmStrings(9387)'access;
    XmNscrollingPolicy : constant CCP := XmStrings(9413)'access;
    XmNselectColor : constant CCP := XmStrings(9429)'access;
    XmNselectInsensitivePixmap : constant CCP := XmStrings(9441)'access;
    XmNselectPixmap : constant CCP := XmStrings(9465)'access;
    XmNselectThreshold : constant CCP := XmStrings(9478)'access;
    XmNselectedItemCount : constant CCP := XmStrings(9494)'access;
    XmNselectedItems : constant CCP := XmStrings(9512)'access;
    XmNselectionArrayCount : constant CCP := XmStrings(9526)'access;
    XmNselectionLabelString : constant CCP := XmStrings(9546)'access;
    XmNselectionPolicy : constant CCP := XmStrings(9567)'access;
    XmNseparatorOn : constant CCP := XmStrings(9583)'access;
    XmNseparatorType : constant CCP := XmStrings(9595)'access;
    XmNset : constant CCP := XmStrings(9609)'access;
    XmNshadow : constant CCP := XmStrings(9613)'access;
    XmNshadowThickness : constant CCP := XmStrings(9620)'access;
    XmNshadowType : constant CCP := XmStrings(9636)'access;
    XmNshellUnitType : constant CCP := XmStrings(9647)'access;
    XmNshowArrows : constant CCP := XmStrings(9661)'access;
    XmNshowAsDefault : constant CCP := XmStrings(9672)'access;
    XmNshowSeparator : constant CCP := XmStrings(9686)'access;
    XmNshowValue : constant CCP := XmStrings(9700)'access;
    XmNsimpleCallback : constant CCP := XmStrings(9710)'access;
    XmNsingleSelectionCallback : constant CCP := XmStrings(9725)'access;
    XmNsizePolicy : constant CCP := XmStrings(9749)'access;
    XmNskipAdjust : constant CCP := XmStrings(9760)'access;
    XmNsliderSize : constant CCP := XmStrings(9771)'access;
    XmNsource : constant CCP := XmStrings(9782)'access;
    XmNsourceCursorIcon : constant CCP := XmStrings(9789)'access;
    XmNsourceIsExternal : constant CCP := XmStrings(9806)'access;
    XmNsourcePixmapIcon : constant CCP := XmStrings(9823)'access;
    XmNsourceWidget : constant CCP := XmStrings(9840)'access;
    XmNsourceWindow : constant CCP := XmStrings(9853)'access;
    XmNspacing : constant CCP := XmStrings(9866)'access;
    XmNspotLocation : constant CCP := XmStrings(9874)'access;
    XmNstartTime : constant CCP := XmStrings(9887)'access;
    XmNstateCursorIcon : constant CCP := XmStrings(9897)'access;
    XmNstringDirection : constant CCP := XmStrings(9913)'access;
    XmNsubMenuId : constant CCP := XmStrings(9929)'access;
    XmNsymbolPixmap : constant CCP := XmStrings(9939)'access;
    XmNtearOffMenuActivateCallback : constant CCP := XmStrings(9952)'access;
    XmNtearOffMenuDeactivateCallback : constant CCP := XmStrings(9980)'access;
    XmNtearOffModel : constant CCP := XmStrings(10010)'access;
    XmNtextAccelerators : constant CCP := XmStrings(10023)'access;
    XmNtextColumns : constant CCP := XmStrings(10040)'access;
    XmNtextFontList : constant CCP := XmStrings(10052)'access;
    XmNtextString : constant CCP := XmStrings(10065)'access;
    XmNtextTranslations : constant CCP := XmStrings(10076)'access;
    XmNtextValue : constant CCP := XmStrings(10093)'access;
    XmNtitleString : constant CCP := XmStrings(10103)'access;
    XmNtoBottomCallback : constant CCP := XmStrings(10115)'access;
    XmNtoPositionCallback : constant CCP := XmStrings(10132)'access;
    XmNtoTopCallback : constant CCP := XmStrings(10151)'access;
    XmNtopAttachment : constant CCP := XmStrings(10165)'access;
    XmNtopCharacter : constant CCP := XmStrings(10179)'access;
    XmNtopItemPosition : constant CCP := XmStrings(10192)'access;
    XmNtopLevelEnterCallback : constant CCP := XmStrings(10208)'access;
    XmNtopLevelLeaveCallback : constant CCP := XmStrings(10230)'access;
    XmNtopOffset : constant CCP := XmStrings(10252)'access;
    XmNtopPosition : constant CCP := XmStrings(10262)'access;
    XmNtopShadowColor : constant CCP := XmStrings(10274)'access;
    XmNtopShadowPixmap : constant CCP := XmStrings(10289)'access;
    XmNtopWidget : constant CCP := XmStrings(10305)'access;
    XmNtransferProc : constant CCP := XmStrings(10315)'access;
    XmNtransferStatus : constant CCP := XmStrings(10328)'access;
    XmNtraversalCallback : constant CCP := XmStrings(10343)'access;
    XmNtraversalOn : constant CCP := XmStrings(10361)'access;
    XmNtraversalType : constant CCP := XmStrings(10373)'access;
    XmNtraverseObscuredCallback : constant CCP := XmStrings(10387)'access;
    XmNtreeUpdateProc : constant CCP := XmStrings(10412)'access;
    XmNtroughColor : constant CCP := XmStrings(10427)'access;
    XmNunitType : constant CCP := XmStrings(10439)'access;
    XmNunmapCallback : constant CCP := XmStrings(10448)'access;
    XmNunpostBehavior : constant CCP := XmStrings(10462)'access;
    XmNunselectPixmap : constant CCP := XmStrings(10477)'access;
    XmNupdateSliderSize : constant CCP := XmStrings(10492)'access;
    XmNuseAsyncGeometry : constant CCP := XmStrings(10509)'access;
    XmNuserData : constant CCP := XmStrings(10526)'access;
    XmNvalidCursorForeground : constant CCP := XmStrings(10535)'access;
    XmNvalueChangedCallback : constant CCP := XmStrings(10557)'access;
    XmNvalueWcs : constant CCP := XmStrings(10578)'access;
    XmNverifyBell : constant CCP := XmStrings(10587)'access;
    XmNverticalFontUnit : constant CCP := XmStrings(10598)'access;
    XmNverticalScrollBar : constant CCP := XmStrings(10615)'access;
    XmNverticalSpacing : constant CCP := XmStrings(10633)'access;
    XmNvisibleItemCount : constant CCP := XmStrings(10649)'access;
    XmNvisibleWhenOff : constant CCP := XmStrings(10666)'access;
    XmNvisualPolicy : constant CCP := XmStrings(10681)'access;
    XmNwhichButton : constant CCP := XmStrings(10694)'access;
    XmNwordWrap : constant CCP := XmStrings(10706)'access;
    XmNworkWindow : constant CCP := XmStrings(10715)'access;
    XmRAlignment : constant CCP := XmStrings(10726)'access;
    XmRAnimationMask : constant CCP := XmStrings(10736)'access;
    XmRAnimationPixmap : constant CCP := XmStrings(10750)'access;
    XmRAnimationStyle : constant CCP := XmStrings(10766)'access;
    XmRArrowDirection : constant CCP := XmStrings(10781)'access;
    XmRAtomList : constant CCP := XmStrings(10796)'access;
    XmRAttachment : constant CCP := XmStrings(10805)'access;
    XmRAudibleWarning : constant CCP := XmStrings(10816)'access;
    XmRAvailability : constant CCP := XmStrings(10831)'access;
    XmRBackgroundPixmap : constant CCP := XmStrings(10844)'access;
    XmRBlendModel : constant CCP := XmStrings(10861)'access;
    XmRBooleanDimension : constant CCP := XmStrings(10872)'access;
    XmRBottomShadowPixmap : constant CCP := XmStrings(10889)'access;
    XmRButtonType : constant CCP := XmStrings(10908)'access;
    XmRCallbackProc : constant CCP := XmStrings(10919)'access;
    XmRChar : constant CCP := XmStrings(10932)'access;
    XmRCharSetTable : constant CCP := XmStrings(10937)'access;
    XmRChildHorizontalAlignment : constant CCP := XmStrings(10950)'access;
    XmRChildPlacement : constant CCP := XmStrings(10975)'access;
    XmRChildType : constant CCP := XmStrings(10990)'access;
    XmRChildVerticalAlignment : constant CCP := XmStrings(11000)'access;
    XmRCommandWindowLocation : constant CCP := XmStrings(11023)'access;
    XmRCompoundText : constant CCP := XmStrings(11045)'access;
    XmRDefaultButtonType : constant CCP := XmStrings(11058)'access;
    XmRDeleteResponse : constant CCP := XmStrings(11076)'access;
    XmRDialogStyle : constant CCP := XmStrings(11091)'access;
    XmRDialogType : constant CCP := XmStrings(11103)'access;
    XmRDoubleClickInterval : constant CCP := XmStrings(11114)'access;
    XmRDragInitiatorProtocolStyle : constant CCP := XmStrings(11134)'access;
    XmRDragReceiverProtocolStyle : constant CCP := XmStrings(11161)'access;
    XmRDropSiteActivity : constant CCP := XmStrings(11187)'access;
    XmRDropSiteOperations : constant CCP := XmStrings(11204)'access;
    XmRDropSiteType : constant CCP := XmStrings(11223)'access;
    XmRDropTransfers : constant CCP := XmStrings(11236)'access;
    XmRExtensionType : constant CCP := XmStrings(11250)'access;
    XmRFileTypeMask : constant CCP := XmStrings(11264)'access;
    XmRFontList : constant CCP := XmStrings(11277)'access;
    XmRGadgetPixmap : constant CCP := XmStrings(11286)'access;
    XmRHighlightPixmap : constant CCP := XmStrings(11299)'access;
    XmRHorizontalDimension : constant CCP := XmStrings(11315)'access;
    XmRHorizontalInt : constant CCP := XmStrings(11335)'access;
    XmRHorizontalPosition : constant CCP := XmStrings(11349)'access;
    XmRIconAttachment : constant CCP := XmStrings(11368)'access;
    XmRImportTargets : constant CCP := XmStrings(11383)'access;
    XmRIndicatorType : constant CCP := XmStrings(11397)'access;
    XmRItemCount : constant CCP := XmStrings(11411)'access;
    XmRItems : constant CCP := XmStrings(11421)'access;
    XmRKeySym : constant CCP := XmStrings(11427)'access;
    XmRKeySymTable : constant CCP := XmStrings(11434)'access;
    XmRKeyboardFocusPolicy : constant CCP := XmStrings(11446)'access;
    XmRLabelType : constant CCP := XmStrings(11466)'access;
    XmRListMarginHeight : constant CCP := XmStrings(11476)'access;
    XmRListMarginWidth : constant CCP := XmStrings(11493)'access;
    XmRListSizePolicy : constant CCP := XmStrings(11509)'access;
    XmRListSpacing : constant CCP := XmStrings(11524)'access;
    XmRManBottomShadowPixmap : constant CCP := XmStrings(11536)'access;
    XmRManForegroundPixmap : constant CCP := XmStrings(11558)'access;
    XmRManHighlightPixmap : constant CCP := XmStrings(11578)'access;
    XmRManTopShadowPixmap : constant CCP := XmStrings(11597)'access;
    XmRMenuWidget : constant CCP := XmStrings(11616)'access;
    XmRMnemonic : constant CCP := XmStrings(11627)'access;
    XmRMultiClick : constant CCP := XmStrings(11636)'access;
    XmRNavigationType : constant CCP := XmStrings(11647)'access;
    XmRPacking : constant CCP := XmStrings(11662)'access;
    XmRPrimForegroundPixmap : constant CCP := XmStrings(11670)'access;
    XmRProc : constant CCP := XmStrings(11691)'access;
    XmRProcessingDirection : constant CCP := XmStrings(11696)'access;
    XmRRectangleList : constant CCP := XmStrings(11716)'access;
    XmRResizePolicy : constant CCP := XmStrings(11730)'access;
    XmRRowColumnType : constant CCP := XmStrings(11743)'access;
    XmRScrollBarDisplayPolicy : constant CCP := XmStrings(11757)'access;
    XmRScrollBarPlacement : constant CCP := XmStrings(11780)'access;
    XmRScrollingPolicy : constant CCP := XmStrings(11799)'access;
    XmRSelectedItemCount : constant CCP := XmStrings(11815)'access;
    XmRSelectedItems : constant CCP := XmStrings(11833)'access;
    XmRSelectionPolicy : constant CCP := XmStrings(11847)'access;
    XmRSelectionType : constant CCP := XmStrings(11863)'access;
    XmRSeparatorType : constant CCP := XmStrings(11877)'access;
    XmRShadowType : constant CCP := XmStrings(11891)'access;
    XmRShellHorizDim : constant CCP := XmStrings(11902)'access;
    XmRShellHorizPos : constant CCP := XmStrings(11916)'access;
    XmRShellUnitType : constant CCP := XmStrings(11930)'access;
    XmRShellVertDim : constant CCP := XmStrings(11944)'access;
    XmRShellVertPos : constant CCP := XmStrings(11957)'access;
    XmRSizePolicy : constant CCP := XmStrings(11970)'access;
    XmRStringDirection : constant CCP := XmStrings(11981)'access;
    XmRTearOffModel : constant CCP := XmStrings(11997)'access;
    XmRTopShadowPixmap : constant CCP := XmStrings(12010)'access;
    XmRTransferStatus : constant CCP := XmStrings(12026)'access;
    XmRTraversalType : constant CCP := XmStrings(12041)'access;
    XmRUnitType : constant CCP := XmStrings(12055)'access;
    XmRUnpostBehavior : constant CCP := XmStrings(12064)'access;
    XmRValueWcs : constant CCP := XmStrings(12079)'access;
    XmRVerticalAlignment : constant CCP := XmStrings(12088)'access;
    XmRVerticalDimension : constant CCP := XmStrings(12106)'access;
    XmRVerticalInt : constant CCP := XmStrings(12124)'access;
    XmRVerticalPosition : constant CCP := XmStrings(12136)'access;
    XmRVirtualBinding : constant CCP := XmStrings(12153)'access;
    XmRVisibleItemCount : constant CCP := XmStrings(12168)'access;
    XmRVisualPolicy : constant CCP := XmStrings(12185)'access;
    XmRWhichButton : constant CCP := XmStrings(12198)'access;
    XmRXmBackgroundPixmap : constant CCP := XmStrings(12210)'access;
    XmRXmString : constant CCP := XmStrings(12229)'access;
    XmRXmStringCharSet : constant CCP := XmStrings(12238)'access;
    XmRXmStringTable : constant CCP := XmStrings(12254)'access;
    XmVosfActivate : constant CCP := XmStrings(12268)'access;
    XmVosfAddMode : constant CCP := XmStrings(12280)'access;
    XmVosfBackSpace : constant CCP := XmStrings(12291)'access;
    XmVosfBeginLine : constant CCP := XmStrings(12304)'access;
    XmVosfCancel : constant CCP := XmStrings(12317)'access;
    XmVosfClear : constant CCP := XmStrings(12327)'access;
    XmVosfCopy : constant CCP := XmStrings(12336)'access;
    XmVosfCut : constant CCP := XmStrings(12344)'access;
    XmVosfDelete : constant CCP := XmStrings(12351)'access;
    XmVosfDown : constant CCP := XmStrings(12361)'access;
    XmVosfEndLine : constant CCP := XmStrings(12369)'access;
    XmVosfHelp : constant CCP := XmStrings(12380)'access;
    XmVosfInsert : constant CCP := XmStrings(12388)'access;
    XmVosfLeft : constant CCP := XmStrings(12398)'access;
    XmVosfMenu : constant CCP := XmStrings(12406)'access;
    XmVosfMenuBar : constant CCP := XmStrings(12414)'access;
    XmVosfPageDown : constant CCP := XmStrings(12425)'access;
    XmVosfPageLeft : constant CCP := XmStrings(12437)'access;
    XmVosfPageRight : constant CCP := XmStrings(12449)'access;
    XmVosfPageUp : constant CCP := XmStrings(12462)'access;
    XmVosfPaste : constant CCP := XmStrings(12472)'access;
    XmVosfPrimaryPaste : constant CCP := XmStrings(12481)'access;
    XmVosfQuickPaste : constant CCP := XmStrings(12497)'access;
    XmVosfRight : constant CCP := XmStrings(12511)'access;
    XmVosfSelect : constant CCP := XmStrings(12520)'access;
    XmVosfUndo : constant CCP := XmStrings(12530)'access;
    XmVosfUp : constant CCP := XmStrings(12538)'access;
    XmSFONTLIST_DEFAULT_TAG_STRING : constant CCP := XmStrings(12544)'access;
    XmSXmFONTLIST_DEFAULT_TAG_STRING : constant CCP := XmStrings(12572)'access;

    subtype CA is Interfaces.C.Char_Array;
    function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	return Interfaces.C.Char_Array renames Interfaces.C."&";
    Nul: Interfaces.C.Char renames Interfaces.C.Nul;

    package Str renames Xt.Stringdefs;
    package Sh  renames Xt.Shell;

    XmSTRING_ISO8859_1: constant CA := "ISO8859-1" & Nul;

    XmVaCASCADEBUTTON: constant CA := "cascadeButton" & Nul;
    XmVaCHECKBUTTON: constant CA := "checkButton" & Nul;
    XmVaDOUBLE_SEPARATOR: constant CA := "doubleSeparator" & Nul;
    XmVaPUSHBUTTON: constant CA := "pushButton" & Nul;
    XmVaRADIOBUTTON: constant CA := "radioButton" & Nul;
    XmVaSEPARATOR: constant CA := "separator" & Nul;
    XmVaSINGLE_SEPARATOR: constant CA := "singleSeparator" & Nul;
    XmVaTOGGLEBUTTON: constant CA := "checkButton" & Nul;

    XmVaTITLE: CCP renames Sh.XtNtitle;
    XmCAccelerators: CCP renames Str.XtCAccelerators;
    XmCAllowShellResize: CCP renames Sh.XtCAllowShellResize;
    XmCArgc: CCP renames Sh.XtCArgc;
    XmCArgv: CCP renames Sh.XtCArgv;
    XmCBackground: CCP renames Str.XtCBackground;
    XmCBaseHeight: CCP renames Sh.XtCBaseHeight;
    XmCBaseWidth: CCP renames Sh.XtCBaseWidth;
    XmCBitmap: CCP renames Str.XtCBitmap;
    XmCBoolean: CCP renames Str.XtCBoolean;
    XmCBorderColor: CCP renames Str.XtCBorderColor;
    XmCBorderWidth: CCP renames Str.XtCBorderWidth;
    XmCCallback: CCP renames Str.XtCCallback;
    XmCColor: CCP renames Str.XtCColor;
    XmCColormap: CCP renames Str.XtCColormap;
    XmCCreatePopupChildProc: CCP renames Sh.XtCCreatePopupChildProc;
    XmCCursor: CCP renames Str.XtCCursor;
    XmCDepth: CCP renames Str.XtCDepth;
    XmCDimension: CCP renames Str.XtRDimension;
    XmCEditMode: CCP renames Str.XtREditMode;
    XmCEditType: CCP renames Str.XtCEditType;
    XmCEventBindings: CCP renames Str.XtCEventBindings;
    XmCFile: CCP renames Str.XtCFile;
    XmCFont: CCP renames Str.XtCFont;
    XmCFontSet: CCP renames Str.XtCFontSet;
    XmCForeground: CCP renames Str.XtCForeground;
    XmCFraction: CCP renames Str.XtCFraction;
    XmCFunction: CCP renames Str.XtCFunction;
    XmCGeometry: CCP renames Sh.XtCGeometry;
    XmCHSpace: CCP renames Str.XtCHSpace;
    XmCHeight: CCP renames Str.XtCHeight;
    XmCHeightInc: CCP renames Sh.XtCHeightInc;
    XmCIconMask: CCP renames Sh.XtCIconMask;
    XmCIconName: CCP renames Sh.XtCIconName;
    XmCIconNameEncoding: CCP renames Sh.XtCIconNameEncoding;
    XmCIconPixmap: CCP renames Sh.XtCIconPixmap;
    XmCIconWindow: CCP renames Sh.XtCIconWindow;
    XmCIconX: CCP renames Sh.XtCIconX;
    XmCIconY: CCP renames Sh.XtCIconY;
    XmCIconic: CCP renames Sh.XtCIconic;
    XmCIndex: CCP renames Str.XtCIndex;
    XmCInitialResourcesPersistent: CCP renames 
	Str.XtCInitialResourcesPersistent;
    XmCInitialState: CCP renames Sh.XtCInitialState;
    XmCInput: CCP renames Sh.XtCInput;
    XmCInsertPosition: CCP renames Str.XtCInsertPosition;
    XmCInterval: CCP renames Str.XtCInterval;
    XmCJustify: CCP renames Str.XtCJustify;
    XmCLabel: CCP renames Str.XtCLabel;
    XmCLength: CCP renames Str.XtCLength;
    XmCMappedWhenManaged: CCP renames Str.XtCMappedWhenManaged;
    XmCMargin: CCP renames Str.XtCMargin;
    XmCMaxAspectX: CCP renames Sh.XtCMaxAspectX;
    XmCMaxAspectY: CCP renames Sh.XtCMaxAspectY;
    XmCMaxHeight: CCP renames Sh.XtCMaxHeight;
    XmCMaxWidth: CCP renames Sh.XtCMaxWidth;
    XmCMenuEntry: CCP renames Str.XtCMenuEntry;
    XmCMinAspectX: CCP renames Sh.XtCMinAspectX;
    XmCMinAspectY: CCP renames Sh.XtCMinAspectY;
    XmCMinHeight: CCP renames Sh.XtCMinHeight;
    XmCMinWidth: CCP renames Sh.XtCMinWidth;
    XmCNotify: CCP renames Str.XtCNotify;
    XmCOrientation: CCP renames Str.XtCOrientation;
    XmCOverrideRedirect: CCP renames Sh.XtCOverrideRedirect;
    XmCParameter: CCP renames Str.XtCParameter;
    XmCPixmap: CCP renames Str.XtCPixmap;
    XmCPosition: CCP renames Str.XtCPosition;
    XmCReadOnly: CCP renames Str.XtCReadOnly;
    XmCResize: CCP renames Str.XtCResize;
    XmCReverseVideo: CCP renames Str.XtCReverseVideo;
    XmCSaveUnder: CCP renames Sh.XtCSaveUnder;
    XmCScreen: CCP renames Str.XtCScreen;
    XmCScrollDCursor: CCP renames Str.XtCScrollDCursor;
    XmCScrollHCursor: CCP renames Str.XtCScrollHCursor;
    XmCScrollLCursor: CCP renames Str.XtCScrollLCursor;
    XmCScrollProc: CCP renames Str.XtCScrollProc;
    XmCScrollRCursor: CCP renames Str.XtCScrollRCursor;
    XmCScrollUCursor: CCP renames Str.XtCScrollUCursor;
    XmCScrollVCursor: CCP renames Str.XtCScrollVCursor;
    XmCSelection: CCP renames Str.XtCSelection;
    XmCSelectionArray: CCP renames Str.XtCSelectionArray;
    XmCSensitive: CCP renames Str.XtCSensitive;
    XmCSpace: CCP renames Str.XtCSpace;
    XmCString: CCP renames Str.XtCString;
    XmCTextOptions: CCP renames Str.XtCTextOptions;
    XmCTextPosition: CCP renames Str.XtCTextPosition;
    XmCTextSink: CCP renames Str.XtCTextSink;
    XmCTextSource: CCP renames Str.XtCTextSource;
    XmCThickness: CCP renames Str.XtCThickness;
    XmCThumb: CCP renames Str.XtCThumb;
    XmCTitle: CCP renames Sh.XtCTitle;
    XmCTitleEncoding: CCP renames Sh.XtCTitleEncoding;
    XmCTransient: CCP renames Sh.XtCTransient;
    XmCTransientFor: CCP renames Sh.XtCTransientFor;
    XmCTranslations: CCP renames Str.XtCTranslations;
    XmCVSpace: CCP renames Str.XtCVSpace;
    XmCValue: CCP renames Str.XtCValue;
    XmCVisual: CCP renames Sh.XtCVisual;
    XmCWaitForWm: CCP renames Sh.XtCWaitForWm;
    XmCWidget: CCP renames Str.XtRWidget;
    XmCWidth: CCP renames Str.XtCWidth;
    XmCWidthInc: CCP renames Sh.XtCWidthInc;
    XmCWinGravity: CCP renames Sh.XtCWinGravity;
    XmCWindow: CCP renames Str.XtCWindow;
    XmCWindowGroup: CCP renames Sh.XtCWindowGroup;
    XmCWmTimeout: CCP renames Sh.XtCWmTimeout;
    XmCX: CCP renames Str.XtCX;
    XmCY: CCP renames Str.XtCY;
    XmNaccelerators: CCP renames Str.XtNaccelerators;
    XmNallowShellResize: CCP renames Sh.XtNallowShellResize;
    XmNancestorSensitive: CCP renames Str.XtNancestorSensitive;
    XmNargc: CCP renames Sh.XtNargc;
    XmNargv: CCP renames Sh.XtNargv;
    XmNbackground: CCP renames Str.XtNbackground;
    XmNbackgroundPixmap: CCP renames Str.XtNbackgroundPixmap;
    XmNbaseHeight: CCP renames Sh.XtNbaseHeight;
    XmNbaseWidth: CCP renames Sh.XtNbaseWidth;
    XmNbitmap: CCP renames Str.XtNbitmap;
    XmNborder: CCP renames Str.XtNborder;
    XmNborderColor: CCP renames Str.XtNborderColor;
    XmNborderPixmap: CCP renames Str.XtNborderPixmap;
    XmNborderWidth: CCP renames Str.XtNborderWidth;
    XmNcallback: CCP renames Str.XtNcallback;
    XmNchildren: CCP renames Str.XtNchildren;
    XmNcolormap: CCP renames Str.XtNcolormap;
    XmNcreatePopupChildProc: CCP renames Sh.XtNcreatePopupChildProc;
    XmNdepth: CCP renames Str.XtNdepth;
    XmNdestroyCallback: CCP renames Str.XtNdestroyCallback;
    XmNeditType: CCP renames Str.XtNeditType;
    XmNfile: CCP renames Str.XtNfile;
    XmNfont: CCP renames Str.XtNfont;
    XmNfontSet: CCP renames Str.XtNfontSet;
    XmNforceBars: CCP renames Str.XtNforceBars;
    XmNforeground: CCP renames Str.XtNforeground;
    XmNfunction: CCP renames Str.XtNfunction;
    XmNgeometry: CCP renames Sh.XtNgeometry;
    XmNheight: CCP renames Str.XtNheight;
    XmNheightInc: CCP renames Sh.XtNheightInc;
    XmNhighlight: CCP renames Str.XtNhighlight;
    XmNiconMask: CCP renames Sh.XtNiconMask;
    XmNiconName: CCP renames Sh.XtNiconName;
    XmNiconNameEncoding: CCP renames Sh.XtNiconNameEncoding;
    XmNiconPixmap: CCP renames Sh.XtNiconPixmap;
    XmNiconWindow: CCP renames Sh.XtNiconWindow;
    XmNiconX: CCP renames Sh.XtNiconX;
    XmNiconY: CCP renames Sh.XtNiconY;
    XmNiconic: CCP renames Sh.XtNiconic;
    XmNindex: CCP renames Str.XtNindex;
    XmNinitialResourcesPersistent: CCP renames 
	Str.XtNinitialResourcesPersistent;
    XmNinitialState: CCP renames Sh.XtNinitialState;
    XmNinnerHeight: CCP renames Str.XtNinnerHeight;
    XmNinnerWidth: CCP renames Str.XtNinnerWidth;
    XmNinnerWindow: CCP renames Str.XtNinnerWindow;
    XmNinput: CCP renames Sh.XtNinput;
    XmNinsertPosition: CCP renames Str.XtNinsertPosition;
    XmNinternalHeight: CCP renames Str.XtNinternalHeight;
    XmNinternalWidth: CCP renames Str.XtNinternalWidth;
    XmNjumpProc: CCP renames Str.XtNjumpProc;
    XmNjustify: CCP renames Str.XtNjustify;
    XmNlength: CCP renames Str.XtNlength;
    XmNlowerRight: CCP renames Str.XtNlowerRight;
    XmNmappedWhenManaged: CCP renames Str.XtNmappedWhenManaged;
    XmNmaxAspectX: CCP renames Sh.XtNmaxAspectX;
    XmNmaxAspectY: CCP renames Sh.XtNmaxAspectY;
    XmNmaxHeight: CCP renames Sh.XtNmaxHeight;
    XmNmaxWidth: CCP renames Sh.XtNmaxWidth;
    XmNmenuEntry: CCP renames Str.XtNmenuEntry;
    XmNminAspectX: CCP renames Sh.XtNminAspectX;
    XmNminAspectY: CCP renames Sh.XtNminAspectY;
    XmNminHeight: CCP renames Sh.XtNminHeight;
    XmNminWidth: CCP renames Sh.XtNminWidth;
    XmNname: CCP renames Str.XtNname;
    XmNnotify: CCP renames Str.XtNnotify;
    XmNnumChildren: CCP renames Str.XtNnumChildren;
    XmNorientation: CCP renames Str.XtNorientation;
    XmNoverrideRedirect: CCP renames Sh.XtNoverrideRedirect;
    XmNparameter: CCP renames Str.XtNparameter;
    XmNpixmap: CCP renames Str.XtNpixmap;
    XmNpopdownCallback: CCP renames Str.XtNpopdownCallback;
    XmNpopupCallback: CCP renames Str.XtNpopupCallback;
    XmNresize: CCP renames Str.XtNresize;
    XmNreverseVideo: CCP renames Str.XtNreverseVideo;
    XmNsaveUnder: CCP renames Sh.XtNsaveUnder;
    XmNscreen: CCP renames Str.XtNscreen;
    XmNscrollDCursor: CCP renames Str.XtNscrollDCursor;
    XmNscrollHCursor: CCP renames Str.XtNscrollHCursor;
    XmNscrollLCursor: CCP renames Str.XtNscrollLCursor;
    XmNscrollProc: CCP renames Str.XtNscrollProc;
    XmNscrollRCursor: CCP renames Str.XtNscrollRCursor;
    XmNscrollUCursor: CCP renames Str.XtNscrollUCursor;
    XmNscrollVCursor: CCP renames Str.XtNscrollVCursor;
    XmNselection: CCP renames Str.XtNselection;
    XmNselectionArray: CCP renames Str.XtNselectionArray;
    XmNsensitive: CCP renames Str.XtNsensitive;
    XmNshown: CCP renames Str.XtNshown;
    XmNspace: CCP renames Str.XtNspace;
    XmNstring: CCP renames Str.XtNstring;
    XmNtextOptions: CCP renames Str.XtNtextOptions;
    XmNtextSink: CCP renames Str.XtNtextSink;
    XmNtextSource: CCP renames Str.XtNtextSource;
    XmNthickness: CCP renames Str.XtNthickness;
    XmNthumb: CCP renames Str.XtNthumb;
    XmNthumbProc: CCP renames Str.XtNthumbProc;
    XmNtitle: CCP renames Sh.XtNtitle;
    XmNtitleEncoding: CCP renames Sh.XtNtitleEncoding;
    XmNtop: CCP renames Str.XtNtop;
    XmNtransient: CCP renames Sh.XtNtransient;
    XmNtransientFor: CCP renames Sh.XtNtransientFor;
    XmNtranslations: CCP renames Str.XtNtranslations;
    XmNupdate: CCP renames Str.XtNupdate;
    XmNuseBottom: CCP renames Str.XtNuseBottom;
    XmNuseRight: CCP renames Str.XtNuseRight;
    XmNvalue: CCP renames Str.XtNvalue;
    XmNvisual: CCP renames Sh.XtNvisual;
    XmNwaitForWm: CCP renames Sh.XtNwaitForWm;
    XmNwidth: CCP renames Str.XtNwidth;
    XmNwidthInc: CCP renames Sh.XtNwidthInc;
    XmNwinGravity: CCP renames Sh.XtNwinGravity;
    XmNwindow: CCP renames Str.XtNwindow;
    XmNwindowGroup: CCP renames Sh.XtNwindowGroup;
    XmNwmTimeout: CCP renames Sh.XtNwmTimeout;
    XmNx: CCP renames Str.XtNx;
    XmNy: CCP renames Str.XtNy;
    XmRAcceleratorTable: CCP renames Str.XtRAcceleratorTable;
    XmRAtom: CCP renames Str.XtRAtom;
    XmRBitmap: CCP renames Str.XtRBitmap;
    XmRBool: CCP renames Str.XtRBool;
    XmRBoolean: CCP renames Str.XtRBoolean;
    XmRCallProc: CCP renames Str.XtRCallProc;
    XmRCallback: CCP renames Str.XtRCallback;
    XmRCardinal: CCP renames Str.XtRCardinal;
    XmRColor: CCP renames Str.XtRColor;
    XmRColormap: CCP renames Str.XtRColormap;
    XmRCursor: CCP renames Str.XtRCursor;
    XmRDimension: CCP renames Str.XtRDimension;
    XmRDisplay: CCP renames Str.XtRDisplay;
    XmREditMode: CCP renames Str.XtREditMode;
    XmREnum: CCP renames Str.XtREnum;
    XmRFile: CCP renames Str.XtRFile;
    XmRFloat: CCP renames Str.XtRFloat;
    XmRFont: CCP renames Str.XtRFont;
    XmRFontSet: CCP renames Str.XtRFontSet;
    XmRFontStruct: CCP renames Str.XtRFontStruct;
    XmRFunction: CCP renames Str.XtRFunction;
    XmRGeometry: CCP renames Str.XtRGeometry;
    XmRImmediate: CCP renames Str.XtRImmediate;
    XmRInitialState: CCP renames Str.XtRInitialState;
    XmRInt: CCP renames Str.XtRInt;
    XmRJustify: CCP renames Str.XtRJustify;
    XmRLongBoolean: CCP renames Str.XtRLongBoolean;
    XmROrientation: CCP renames Str.XtROrientation;
    XmRObject: CCP renames Str.XtRObject;
    XmRPixel: CCP renames Str.XtRPixel;
    XmRPixmap: CCP renames Str.XtRPixmap;
    XmRPointer: CCP renames Str.XtRPointer;
    XmRPosition: CCP renames Str.XtRPosition;
    XmRScreen: CCP renames Str.XtRScreen;
    XmRShort: CCP renames Str.XtRShort;
    XmRString: CCP renames Str.XtRString;
    XmRStringArray: CCP renames Str.XtRStringArray;
    XmRStringTable: CCP renames Str.XtRStringTable;
    XmRTextPosition: CCP renames Str.XtCTextPosition;
    XmRTranslationTable: CCP renames Str.XtRTranslationTable;
    XmRUnsignedChar: CCP renames Str.XtRUnsignedChar;
    XmRVisual: CCP renames Str.XtRVisual;
    XmRWidget: CCP renames Str.XtRWidget;
    XmRWidgetClass: CCP renames Str.XtRWidgetClass;
    XmRWidgetList: CCP renames Str.XtRWidgetList;
    XmRWindow: CCP renames Str.XtRWindow;

    XmSTRING_DEFAULT_CHARSET: CCP renames XmS;
    XmFONTLIST_DEFAULT_TAG: CCP renames XmSFONTLIST_DEFAULT_TAG_STRING;
    XmFONTLIST_DEFAULT_TAG_STRING: CCP renames XmSXmFONTLIST_DEFAULT_TAG_STRING;
    XtCKeyboardFocusPolicy: CCP renames XmCKeyboardFocusPolicy;
    XtCShellUnitType: CCP renames XmCShellUnitType;
    XtNkeyboardFocusPolicy: CCP renames XmNkeyboardFocusPolicy;
    XtNshellUnitType: CCP renames XmNshellUnitType;
    XtRKeyboardFocusPolicy: CCP renames XmRKeyboardFocusPolicy;
    XmRPrimBottomShadowPixmap: CCP renames XmRBottomShadowPixmap;
    XmRPrimHighlightPixmap: CCP renames XmRHighlightPixmap;
    XmRPrimTopShadowPixmap: CCP renames XmRTopShadowPixmap;

end Motif.XmStrDefs;
