-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-arrowb.ads,v $ 
-- $Revision: 1.4 $ $Date: 95/12/05 08:52:55 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file ArrowB.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.ArrowB is

    type XmArrowButtonClassRec is private;                  -- ArrowB.h:29
    type XmArrowButtonRec is private;                       -- ArrowB.h:30

    type XmArrowButtonWidgetClass is access all XmArrowButtonClassRec;
                                                            -- ArrowB.h:29
    type XmArrowButtonWidget is access all XmArrowButtonRec;-- ArrowB.h:30

    xmArrowButtonWidgetClass_obj: Xt.Intrinsic.WidgetClass;
                                                            -- ArrowB.h:27

    function XmCreateArrowButton(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- ArrowB.h:40

    pragma Import(C, XmCreateArrowButton, "XmCreateArrowButton");

    function XmCreateArrowButton(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal) 
               return Xt.Intrinsic.Widget;                  -- ArrowB.h:40

    pragma Inline(XmCreateArrowButton);

    function XmIsArrowButton (W: Xt.Intrinsic.Widget) 
        return Xt.Intrinsic.Boolean;                        -- ArrowB.h:24

private

    type XmArrowButtonRec is null record;                   -- ArrowB.h:30
    type XmArrowButtonClassRec is null record;              -- ArrowB.h:29

    pragma Import(C, xmArrowButtonWidgetClass_obj, "xmArrowButtonWidgetClass");
                                                            -- ArrowB.h:27
    pragma Inline(XmIsArrowButton);

end Motif.ArrowB;
