-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-atommgr.ads,v $ 
-- $Revision: 1.3 $ $Date: 95/12/05 08:52:57 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file AtomMgr.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Xlib;
with X.Strings;

package Motif.AtomMgr is

    function XmInternAtom(
                display       : access X.Xlib.Display;
                name          : X.Strings.const_charp;
                only_if_exists: X.signed_int)
               return X.Atom;                               -- AtomMgr.h:34

    pragma Import(C, XmInternAtom, "XmInternAtom");

    function XmInternAtom(
                display       : access X.Xlib.Display;
                name          : Interfaces.C.Char_Array;
                only_if_exists: X.signed_int) return X.Atom;-- AtomMgr.h:34

    pragma Inline(XmInternAtom);

    function XmGetAtomName(
                display: access X.Xlib.Display;
                atom   : X.Atom)
               return X.Strings.charp;                      -- AtomMgr.h:42

    -- ****************
    -- AtomMgr.h macros
    -- ****************

    function XmNameToAtom(
                display: access X.Xlib.Display;
                atom   : X.Atom)
               return X.Strings.charp
               renames XmGetAtomName;                       -- AtomMgr.h:59

private

    pragma Import(C, XmGetAtomName, "XmGetAtomName");       -- AtomMgr.h:42

end Motif.AtomMgr;
