-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-command.ads,v $ 
-- $Revision: 1.5 $ $Date: 95/12/05 08:52:59 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file Command.h.
-- --------------------------------------------------------------------------

with Motif.Xm;
with X;
with Xt.Intrinsic;

package Motif.Command is

    type XmCommandClassRec is private;                      -- Command.h:29
    type XmCommandRec is private;                           -- Command.h:30

    type XmCommandWidgetClass is access all XmCommandClassRec;
                                                            -- Command.h:29
    type XmCommandWidget is access all XmCommandRec;        -- Command.h:30

    xmCommandWidgetClass_obj: Xt.Intrinsic.WidgetClass;     -- Command.h:27

    function XmCreateCommand(
                parent: Xt.Intrinsic.Widget;
                name  : Motif.Xm.XmString;
                al    : Xt.Intrinsic.ArgList;
                ac    : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- Command.h:51

    function XmCommandGetChild(
                widget: Xt.Intrinsic.Widget;
                child : X.unsigned_int)
               return Xt.Intrinsic.Widget;                  -- Command.h:56

    procedure XmCommandSetValue(
                widget: Xt.Intrinsic.Widget;
                value : Motif.Xm.XmString);                 -- Command.h:63

    procedure XmCommandAppendValue(
                widget: Xt.Intrinsic.Widget;
                value : Motif.Xm.XmString);                 -- Command.h:66

    procedure XmCommandError(
                widget: Xt.Intrinsic.Widget;
                error : Motif.Xm.XmString);                 -- Command.h:69

    function XmCreateCommandDialog(
                ds_p    : Xt.Intrinsic.Widget;
                name    : Motif.Xm.XmString;
                fsb_args: Xt.Intrinsic.ArgList;
                fsb_n   : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- Command.h:72

    -- ****************
    -- Command.h macros
    -- ****************

    function XmIsCommand (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- Command.h:34

private

    type XmCommandRec is null record;                       -- Command.h:30
    type XmCommandClassRec is null record;                  -- Command.h:29

    pragma Import(C, xmCommandWidgetClass_obj, "xmCommandWidgetClass");
                                                            -- Command.h:27
    pragma Import(C, XmCreateCommand, "XmCreateCommand");   -- Command.h:51

    pragma Import(C, XmCommandGetChild, "XmCommandGetChild");
                                                            -- Command.h:56
    pragma Import(C, XmCommandSetValue, "XmCommandSetValue");
                                                            -- Command.h:63
    pragma Import(C, XmCommandAppendValue, "XmCommandAppendValue");
                                                            -- Command.h:66
    pragma Import(C, XmCommandError, "XmCommandError");     -- Command.h:69
    pragma Import(C, XmCreateCommandDialog, "XmCreateCommandDialog");
                                                            -- Command.h:72


    pragma Inline(XmIsCommand);

end Motif.Command;
