-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-display.ads,v $ 
-- $Revision: 1.3 $ $Date: 95/12/05 08:53:01 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file Display.h.
-- --------------------------------------------------------------------------

with X.Xlib;
with Xt.Intrinsic;

package Motif.Display is

    type XmDisplayRec is private;                           -- Display.h:43
    type XmDisplayClassRec is private;                      -- Display.h:44

    type enum_anonymous0_t is (                             -- Display.h:39
        XmDRAG_NONE,                                        -- Display.h:32
        XmDRAG_DROP_ONLY,                                   -- Display.h:33
        XmDRAG_PREFER_PREREGISTER,                          -- Display.h:34
        XmDRAG_PREREGISTER,                                 -- Display.h:35
        XmDRAG_PREFER_DYNAMIC,                              -- Display.h:36
        XmDRAG_DYNAMIC,                                     -- Display.h:37
        XmDRAG_PREFER_RECEIVER                              -- Display.h:39
    );
    for enum_anonymous0_t'Size use X.Int'Size;              -- Display.h:39

    type XmDisplay is access all XmDisplayRec;              -- Display.h:43
    type XmDisplayClass is access all XmDisplayClassRec;    -- Display.h:44

    xmDisplayClass_obj: Xt.Intrinsic.WidgetClass;           -- Display.h:45

    function XmGetDragContext(
                w   : Xt.Intrinsic.Widget;
                time: X.Time)
               return Xt.Intrinsic.Widget;                  -- Display.h:58

    function XmGetXmDisplay(
                display: X.Xlib.XDisplay_access)
               return Xt.Intrinsic.Widget;                  -- Display.h:61

    -- ****************
    -- Display.h macros
    -- ****************

    function XmGetDisplay(W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Widget;                         -- Display.h:47

    function XmIsDisplay (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- Display.h:28

private

    type XmDisplayClassRec is null record;                  -- Display.h:44
    type XmDisplayRec is null record;                       -- Display.h:43

    pragma Import(C, xmDisplayClass_obj, "xmDisplayClass"); -- Display.h:45
    pragma Import(C, XmGetDragContext, "XmGetDragContext"); -- Display.h:58
    pragma Import(C, XmGetXmDisplay, "XmGetXmDisplay");     -- Display.h:61

    pragma Inline(XmGetDisplay);
    pragma Inline(XmIsDisplay);

end Motif.Display;
