-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-dragicon.ads,v $ 
-- $Revision: 1.4 $ $Date: 95/12/05 08:53:02 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file DragIcon.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.DragIcon is

    type enum_anonymous0_t is (                             -- DragIcon.h:37
        XmATTACH_NORTH_WEST,                                -- DragIcon.h:27
        XmATTACH_NORTH,                                     -- DragIcon.h:28
        XmATTACH_NORTH_EAST,                                -- DragIcon.h:29
        XmATTACH_EAST,                                      -- DragIcon.h:30
        XmATTACH_SOUTH_EAST,                                -- DragIcon.h:31
        XmATTACH_SOUTH,                                     -- DragIcon.h:32
        XmATTACH_SOUTH_WEST,                                -- DragIcon.h:33
        XmATTACH_WEST,                                      -- DragIcon.h:34
        XmATTACH_CENTER,                                    -- DragIcon.h:35
        XmATTACH_HOT                                        -- DragIcon.h:37
    );
    for enum_anonymous0_t'Size use X.Int'Size;              -- DragIcon.h:37

    type XmDragIconRec is private;                          -- DragIcon.h:39
    type XmDragIconClassRec is private;                     -- DragIcon.h:40

    type XmDragIconObject is access all XmDragIconRec;      -- DragIcon.h:39
    type XmDragIconObjectClass is access all XmDragIconClassRec;
                                                            -- DragIcon.h:40

    xmDragIconObjectClass_obj: Xt.Intrinsic.WidgetClass;    -- DragIcon.h:41

    function XmCreateDragIcon(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                argList : Xt.Intrinsic.ArgList;
                argCount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- DragIcon.h:51

    pragma Import(C, XmCreateDragIcon, "XmCreateDragIcon");

    function XmCreateDragIcon(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                argList : Xt.Intrinsic.ArgList;
                argCount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- DragIcon.h:51

    pragma Inline(XmCreateDragIcon);

    -- *****************
    -- DragIcon.h macros
    -- *****************

    function XmIsDragIconObjectClass (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- DragIcon.h:24

private

    type XmDragIconClassRec is null record;                 -- DragIcon.h:40
    type XmDragIconRec is null record;                      -- DragIcon.h:39

    pragma Import(C, xmDragIconObjectClass_obj, "xmDragIconObjectClass");
                                                            -- DragIcon.h:41

    pragma Inline(XmIsDragIconObjectClass);

end Motif.DragIcon;
