-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-form.ads,v $ 
-- $Revision: 1.4 $ $Date: 95/12/05 08:53:07 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file Form.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.Form is

    type XmFormClassRec is private;                         -- Form.h:30
    type XmFormRec is private;                              -- Form.h:31

    type XmFormWidgetClass is access all XmFormClassRec;    -- Form.h:30
    type XmFormWidget is access all XmFormRec;              -- Form.h:31

    xmFormWidgetClass_obj: Xt.Intrinsic.WidgetClass;        -- Form.h:28

    function XmCreateForm(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- Form.h:48

    pragma Import(C, XmCreateForm, "XmCreateForm");

    function XmCreateForm(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- Form.h:48

    pragma Inline(XmCreateForm);

    function XmCreateFormDialog(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- Form.h:53

    pragma Import(C, XmCreateFormDialog, "XmCreateFormDialog");

    function XmCreateFormDialog(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- Form.h:53

    pragma Inline(XmCreateFormDialog);

    -- *************
    -- Form.h macros
    -- *************

    function XmIsForm (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- Form.h:37

private

    type XmFormRec is null record;                          -- Form.h:31
    type XmFormClassRec is null record;                     -- Form.h:30

    pragma Import(C, xmFormWidgetClass_obj, "xmFormWidgetClass");
                                                            -- Form.h:28

    pragma Inline(XmIsForm);

end Motif.Form;
