-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-frame.ads,v $ 
-- $Revision: 1.4 $ $Date: 95/12/05 08:53:07 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file Frame.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.Frame is

    type XmFrameClassRec is private;                        -- Frame.h:31
    type XmFrameRec is private;                             -- Frame.h:32

    type XmFrameWidgetClass is access all XmFrameClassRec;  -- Frame.h:31
    type XmFrameWidget is access all XmFrameRec;            -- Frame.h:32

    xmFrameWidgetClass_obj: Xt.Intrinsic.WidgetClass;       -- Frame.h:29

    function XmCreateFrame(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- Frame.h:42

    pragma Import(C, XmCreateFrame, "XmCreateFrame");

    function XmCreateFrame(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- Frame.h:42

    pragma Inline(XmCreateFrame);

    -- **************
    -- Frame.h macros
    -- **************

    function XmIsFrame (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- Frame.h:24

private

    type XmFrameRec is null record;                         -- Frame.h:32
    type XmFrameClassRec is null record;                    -- Frame.h:31

    pragma Import(C, xmFrameWidgetClass_obj, "xmFrameWidgetClass");
                                                            -- Frame.h:29
    pragma Inline(XmIsFrame);

end Motif.Frame;
