-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-label.ads,v $ 
-- $Revision: 1.4 $ $Date: 95/12/05 08:53:08 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file Label.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.Label is

    type XmLabelClassRec is private;                        -- Label.h:29
    type XmLabelRec is private;                             -- Label.h:30

    type XmLabelWidgetClass is access all XmLabelClassRec;  -- Label.h:29
    type XmLabelWidget is access all XmLabelRec;            -- Label.h:30

    xmLabelWidgetClass_obj: Xt.Intrinsic.WidgetClass;       -- Label.h:27

    function XmCreateLabel(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                arglist : Xt.Intrinsic.ArgList;
                argCount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- Label.h:45

    pragma Import(C, XmCreateLabel, "XmCreateLabel");

    function XmCreateLabel(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                arglist : Xt.Intrinsic.ArgList;
                argCount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- Label.h:45

    pragma Inline(XmCreateLabel);

    -- **************
    -- Label.h macros
    -- **************

    function XmIsLabel (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- Label.h:34

private

    type XmLabelRec is null record;                         -- Label.h:30
    type XmLabelClassRec is null record;                    -- Label.h:29

    pragma Import(C, xmLabelWidgetClass_obj, "xmLabelWidgetClass");
                                                            -- Label.h:27
    pragma Inline(XmIsLabel);

end Motif.Label;
