-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-labelg.ads,v $ 
-- $Revision: 1.4 $ $Date: 95/12/05 08:53:08 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file LabelG.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.LabelG is

    type XmLabelGadgetClassRec is private;                  -- LabelG.h:30
    type XmLabelGadgetRec is private;                       -- LabelG.h:31
    type XmLabelGCacheObjRec is private;                    -- LabelG.h:32

    type XmLabelGadgetClass is access all XmLabelGadgetClassRec;
                                                            -- LabelG.h:30
    type XmLabelGadget is access all XmLabelGadgetRec;      -- LabelG.h:31
    type XmLabelGCacheObject is access all XmLabelGCacheObjRec;
                                                            -- LabelG.h:32

    xmLabelGadgetClass_obj: Xt.Intrinsic.WidgetClass;       -- LabelG.h:28

    function XmCreateLabelGadget(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                arglist : Xt.Intrinsic.ArgList;
                argCount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- LabelG.h:47

    pragma Import(C, XmCreateLabelGadget, "XmCreateLabelGadget");

    function XmCreateLabelGadget(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                arglist : Xt.Intrinsic.ArgList;
                argCount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- LabelG.h:47

    pragma Inline(XmCreateLabelGadget);

    -- ***************
    -- LabelG.h macros
    -- ***************

    function XmIsLabelGadget (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- LabelG.h:36

private

    type XmLabelGCacheObjRec is null record;                -- LabelG.h:32
    type XmLabelGadgetRec is null record;                   -- LabelG.h:31
    type XmLabelGadgetClassRec is null record;              -- LabelG.h:30

    pragma Import(C, xmLabelGadgetClass_obj, "xmLabelGadgetClass");
                                                            -- LabelG.h:28

    pragma Inline(XmIsLabelGadget);

end Motif.LabelG;
