-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-panedw.ads,v $ 
-- $Revision: 1.3 $ $Date: 95/12/05 08:53:12 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file PanedW.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.PanedW is

    type XmPanedWindowClassRec is private;                  -- PanedW.h:39
    type XmPanedWindowRec is private;                       -- PanedW.h:40

    type XmPanedWindowWidgetClass is access all XmPanedWindowClassRec;
                                                            -- PanedW.h:39
    type XmPanedWindowWidget is access all XmPanedWindowRec;-- PanedW.h:40

    xmPanedWindowWidgetClass_obj: Xt.Intrinsic.WidgetClass;
                                                            -- PanedW.h:33

    function XmCreatePanedWindow(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                args    : Xt.Intrinsic.ArgList;
                argCount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- PanedW.h:50

    pragma Import(C, XmCreatePanedWindow, "XmCreatePanedWindow");

    function XmCreatePanedWindow(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                args    : Xt.Intrinsic.ArgList;
                argCount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- PanedW.h:50

    pragma Inline(XmCreatePanedWindow);

    -- ***************
    -- PanedW.h macros
    -- ***************

    function XmIsPanedWindow (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- PanedW.h:36

private

    type XmPanedWindowRec is null record;                   -- PanedW.h:40
    type XmPanedWindowClassRec is null record;              -- PanedW.h:39

    pragma Import(C, xmPanedWindowWidgetClass_obj, "xmPanedWindowWidgetClass");
                                                            -- PanedW.h:33

    pragma Inline(XmIsPanedWindow);

end Motif.PanedW;
