-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-pushb.ads,v $ 
-- $Revision: 1.4 $ $Date: 95/12/05 08:53:13 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file PushB.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.PushB is

    type XmPushButtonClassRec is private;                   -- PushB.h:43
    type XmPushButtonRec is private;                        -- PushB.h:44

    type XmPushButtonWidgetClass is access all XmPushButtonClassRec;
                                                            -- PushB.h:43
    type XmPushButtonWidget is access all XmPushButtonRec;  -- PushB.h:44

    xmPushButtonWidgetClass_obj: Xt.Intrinsic.WidgetClass;  -- PushB.h:41

    function XmCreatePushButton(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- PushB.h:54

    pragma Import(C, XmCreatePushButton, "XmCreatePushButton");

    function XmCreatePushButton(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- PushB.h:54

    pragma Inline(XmCreatePushButton);

    -- ******************
    -- CascadeBG.h macros
    -- ******************

    function XmIsPushButton (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- PushB.h:36

private

    type XmPushButtonRec is null record;                    -- PushB.h:44
    type XmPushButtonClassRec is null record;               -- PushB.h:43

    pragma Import(C, xmPushButtonWidgetClass_obj, "xmPushButtonWidgetClass");
                                                            -- PushB.h:41

    pragma Inline(XmIsPushButton);

end Motif.PushB;
