-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-reptype.adb,v $ 
-- $Revision: 1.4 $ $Date: 95/12/08 15:38:49 $ $Author: mg $ 


-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS FURNISHED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file. 
--  
-- Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this file is permitted. 
-- --------------------------------------------------------------------------

with Interfaces.C;

package body Motif.RepType is

    function XmRepTypeRegister(
                rep_type   : Interfaces.C.Char_Array;
                value_names: X.Strings.charp_vector;
                values     : X.unsigned_char_access;
                num_values : X.unsigned_int) return XmRepTypeId is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_rep_type: constant Interfaces.C.Char_Array :=
            rep_type & Interfaces.C.Nul;
    begin
        return XmRepTypeRegister(
                Tmp_rep_type(Tmp_rep_type'First)'unchecked_access,
                value_names,
                values,
                num_values);
    end XmRepTypeRegister;                                  -- RepType.h:55

    function XmRepTypeGetId(
                rep_type: Interfaces.C.Char_Array) return XmRepTypeId is

        function "&"(S: Interfaces.C.Char_Array; C: Interfaces.C.Char)
	    return Interfaces.C.Char_Array renames Interfaces.C."&";
        Tmp_rep_type: constant Interfaces.C.Char_Array :=
            rep_type & Interfaces.C.Nul;
    begin
        return XmRepTypeGetId(
                Tmp_rep_type(Tmp_rep_type'First)'unchecked_access);
    end XmRepTypeGetId;                                     -- RepType.h:86

end Motif.RepType;
