-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-rowcolumn.ads,v $ 
-- $Revision: 1.4 $ $Date: 95/12/05 08:53:15 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file RowColumn.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with X.Xlib;
with Xt.Intrinsic;

package Motif.RowColumn is

    type XmRowColumnClassRec is private;                    -- RowColumn.h:25
    type XmRowColumnRec is private;                         -- RowColumn.h:26

    type XmRowColumnWidgetClass is access all XmRowColumnClassRec;
                                                            -- RowColumn.h:25
    type XmRowColumnWidget is access all XmRowColumnRec;    -- RowColumn.h:26

    xmRowColumnWidgetClass_obj: Xt.Intrinsic.WidgetClass;   -- RowColumn.h:23

    procedure XmMenuPosition(
                p    : Xt.Intrinsic.Widget;
                event: access X.Xlib.XButtonEvent);         -- RowColumn.h:53

    function XmCreateRowColumn(
                p   : Xt.Intrinsic.Widget;
                name: X.Strings.const_charp;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- RowColumn.h:56

    pragma Import(C, XmCreateRowColumn, "XmCreateRowColumn");

    function XmCreateRowColumn(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- RowColumn.h:56

    pragma Inline(XmCreateRowColumn);

    function XmCreateWorkArea(
                p   : Xt.Intrinsic.Widget;
                name: X.Strings.const_charp;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- RowColumn.h:61

    pragma Import(C, XmCreateWorkArea, "XmCreateWorkArea");

    function XmCreateWorkArea(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- RowColumn.h:61

    pragma Inline(XmCreateWorkArea);

    function XmCreateRadioBox(
                p   : Xt.Intrinsic.Widget;
                name: X.Strings.const_charp;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- RowColumn.h:66

    pragma Import(C, XmCreateRadioBox, "XmCreateRadioBox");

    function XmCreateRadioBox(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- RowColumn.h:66

    pragma Inline(XmCreateRadioBox);

    function XmCreateOptionMenu(
                p   : Xt.Intrinsic.Widget;
                name: X.Strings.const_charp;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- RowColumn.h:71

    pragma Import(C, XmCreateOptionMenu, "XmCreateOptionMenu");

    function XmCreateOptionMenu(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- RowColumn.h:71

    pragma Inline(XmCreateOptionMenu);

    function XmOptionLabelGadget(
                m: Xt.Intrinsic.Widget)
               return Xt.Intrinsic.Widget;                  -- RowColumn.h:76

    function XmOptionButtonGadget(
                m: Xt.Intrinsic.Widget)
               return Xt.Intrinsic.Widget;                  -- RowColumn.h:78

    function XmCreateMenuBar(
                p   : Xt.Intrinsic.Widget;
                name: X.Strings.const_charp;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- RowColumn.h:80

    pragma Import(C, XmCreateMenuBar, "XmCreateMenuBar");

    function XmCreateMenuBar(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- RowColumn.h:80

    pragma Inline(XmCreateMenuBar);

    function XmCreatePopupMenu(
                p   : Xt.Intrinsic.Widget;
                name: X.Strings.const_charp;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- RowColumn.h:85

    pragma Import(C, XmCreatePopupMenu, "XmCreatePopupMenu");

    function XmCreatePopupMenu(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- RowColumn.h:85

    pragma Inline(XmCreatePopupMenu);

    function XmCreatePulldownMenu(
                p   : Xt.Intrinsic.Widget;
                name: X.Strings.const_charp;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- RowColumn.h:90

    pragma Import(C, XmCreatePulldownMenu, "XmCreatePulldownMenu");

    function XmCreatePulldownMenu(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                al  : Xt.Intrinsic.ArgList;
                ac  : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- RowColumn.h:90

    pragma Inline(XmCreatePulldownMenu);

    procedure XmAddToPostFromList(
                menu_wid: Xt.Intrinsic.Widget;
                widget  : Xt.Intrinsic.Widget);             -- RowColumn.h:95

    procedure XmRemoveFromPostFromList(
                menu_wid: Xt.Intrinsic.Widget;
                widget  : Xt.Intrinsic.Widget);             -- RowColumn.h:98

    function XmGetPostedFromWidget(
                menu: Xt.Intrinsic.Widget)
               return Xt.Intrinsic.Widget;                  -- RowColumn.h:101

    function XmGetTearOffControl(
                menu: Xt.Intrinsic.Widget)
               return Xt.Intrinsic.Widget;                  -- RowColumn.h:103

    -- ******************
    -- RowColumn.h macros
    -- ******************

    function XmIsRowColumn (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- RowColumn.h:29

private

    type XmRowColumnRec is null record;                     -- RowColumn.h:26
    type XmRowColumnClassRec is null record;                -- RowColumn.h:25

    pragma Import(C, xmRowColumnWidgetClass_obj, "xmRowColumnWidgetClass");
                                                            -- RowColumn.h:23
    pragma Import(C, XmMenuPosition, "XmMenuPosition");     -- RowColumn.h:53
    pragma Import(C, XmOptionLabelGadget, "XmOptionLabelGadget");
                                                            -- RowColumn.h:76
    pragma Import(C, XmOptionButtonGadget, "XmOptionButtonGadget");
                                                            -- RowColumn.h:78
    pragma Import(C, XmAddToPostFromList, "XmAddToPostFromList");
                                                            -- RowColumn.h:95
    pragma Import(C, XmRemoveFromPostFromList, "XmRemoveFromPostFromList");
                                                            -- RowColumn.h:98
    pragma Import(C, XmGetPostedFromWidget, "XmGetPostedFromWidget");
                                                            -- RowColumn.h:101
    pragma Import(C, XmGetTearOffControl, "XmGetTearOffControl");
                                                            -- RowColumn.h:103

    pragma Inline(XmIsRowColumn);
end Motif.RowColumn;
