-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-selectiob.ads,v $ 
-- $Revision: 1.3 $ $Date: 95/12/05 08:53:18 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file SelectioB.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X;
with X.Strings;
with Xt.Intrinsic;

package Motif.SelectioB is

    type XmSelectionBoxClassRec is private;                 -- SelectioB.h:29
    type XmSelectionBoxRec is private;                      -- SelectioB.h:30

    type XmSelectionBoxWidgetClass is access all XmSelectionBoxClassRec;
                                                            -- SelectioB.h:29
    type XmSelectionBoxWidget is access all XmSelectionBoxRec;
                                                            -- SelectioB.h:30

    xmSelectionBoxWidgetClass_obj: Xt.Intrinsic.WidgetClass;
                                                            -- SelectioB.h:27

    function XmSelectionBoxGetChild(
                sb   : Xt.Intrinsic.Widget;
                which: X.unsigned_int)
               return Xt.Intrinsic.Widget;                  -- SelectioB.h:49

    function XmCreateSelectionBox(
                p   : Xt.Intrinsic.Widget;
                name: X.Strings.const_charp;
                args: Xt.Intrinsic.ArgList;
                n   : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- SelectioB.h:56

    pragma Import(C, XmCreateSelectionBox, "XmCreateSelectionBox");

    function XmCreateSelectionBox(
                p   : Xt.Intrinsic.Widget;
                name: Interfaces.C.Char_Array;
                args: Xt.Intrinsic.ArgList;
                n   : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- SelectioB.h:56

    pragma Inline(XmCreateSelectionBox);

    function XmCreateSelectionDialog(
                ds_p   : Xt.Intrinsic.Widget;
                name   : X.Strings.const_charp;
                sb_args: Xt.Intrinsic.ArgList;
                sb_n   : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- SelectioB.h:61

    pragma Import(C, XmCreateSelectionDialog, "XmCreateSelectionDialog");

    function XmCreateSelectionDialog(
                ds_p   : Xt.Intrinsic.Widget;
                name   : Interfaces.C.Char_Array;
                sb_args: Xt.Intrinsic.ArgList;
                sb_n   : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- SelectioB.h:61

    pragma Inline(XmCreateSelectionDialog);

    function XmCreatePromptDialog(
                ds_p   : Xt.Intrinsic.Widget;
                name   : X.Strings.const_charp;
                sb_args: Xt.Intrinsic.ArgList;
                sb_n   : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- SelectioB.h:66

    pragma Import(C, XmCreatePromptDialog, "XmCreatePromptDialog");

    function XmCreatePromptDialog(
                ds_p   : Xt.Intrinsic.Widget;
                name   : Interfaces.C.Char_Array;
                sb_args: Xt.Intrinsic.ArgList;
                sb_n   : Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- SelectioB.h:66

    pragma Inline(XmCreatePromptDialog);

    -- ******************
    -- SelectioB.h macros
    -- ******************

    function XmIsSelectionBox (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- SelectioB.h:34

private

    type XmSelectionBoxRec is null record;                  -- SelectioB.h:30
    type XmSelectionBoxClassRec is null record;             -- SelectioB.h:29

    pragma Import(C, xmSelectionBoxWidgetClass_obj, 
                     "xmSelectionBoxWidgetClass");          -- SelectioB.h:27
    pragma Import(C, XmSelectionBoxGetChild, "XmSelectionBoxGetChild");
                                                            -- SelectioB.h:49

    pragma Inline(XmIsSelectionBox);

end Motif.SelectioB;
