-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-separator.ads,v $ 
-- $Revision: 1.4 $ $Date: 95/12/05 08:53:19 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file Separator.h.
-- --------------------------------------------------------------------------

with Interfaces.C;
with X.Strings;
with Xt.Intrinsic;

package Motif.Separator is

    type XmSeparatorClassRec is private;                    -- Separator.h:30
    type XmSeparatorRec is private;                         -- Separator.h:31

    type XmSeparatorWidgetClass is access all XmSeparatorClassRec;
                                                            -- Separator.h:30
    type XmSeparatorWidget is access all XmSeparatorRec;    -- Separator.h:31

    xmSeparatorWidgetClass_obj: Xt.Intrinsic.WidgetClass;   -- Separator.h:28

    function XmCreateSeparator(
                parent  : Xt.Intrinsic.Widget;
                name    : X.Strings.const_charp;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- Separator.h:41

    pragma Import(C, XmCreateSeparator, "XmCreateSeparator");

    function XmCreateSeparator(
                parent  : Xt.Intrinsic.Widget;
                name    : Interfaces.C.Char_Array;
                arglist : Xt.Intrinsic.ArgList;
                argcount: Xt.Intrinsic.Cardinal)
               return Xt.Intrinsic.Widget;                  -- Separator.h:41

    pragma Inline(XmCreateSeparator);

    -- ******************
    -- Separator.h macros
    -- ******************

    function XmIsSeparator (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- Separator.h:25

private

    type XmSeparatorRec is null record;                     -- Separator.h:31
    type XmSeparatorClassRec is null record;                -- Separator.h:30

    pragma Import(C, xmSeparatorWidgetClass_obj, "xmSeparatorWidgetClass");
                                                            -- Separator.h:28

    pragma Inline(XmIsSeparator);

end Motif.Separator;
