-- $Source: /home/harp/1/proto/monoBANK/xbind/motif-vendors.ads,v $ 
-- $Revision: 1.3 $ $Date: 95/12/05 08:53:22 $ $Author: mg $ 

-- --------------------------------------------------------------------------
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
-- PARTICULAR PURPOSE.  The user assumes the entire risk as to the accuracy 
-- and the use of this file.  
--  
-- Ada version Copyright (c) Intermetrics, Inc. 1994 
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this Ada file is permitted. 
--
-- C version contains additional copyrights, 
-- see the accompanying file VendorS.h.
-- --------------------------------------------------------------------------

with Xt.Intrinsic;

package Motif.VendorS is

    type XmVendorShellRec is private;                       -- VendorS.h:34
    type XmVendorShellClassRec is private;                  -- VendorS.h:35

    type XmVendorShellWidget is access all XmVendorShellRec;-- VendorS.h:34
    type XmVendorShellWidgetClass is access all XmVendorShellClassRec;
                                                            -- VendorS.h:35

    vendorShellWidgetClass_obj: Xt.Intrinsic.WidgetClass;   -- VendorS.h:36

    function XmIsMotifWMRunning(
                shell: Xt.Intrinsic.Widget)
               return Xt.Intrinsic.Boolean;                 -- VendorS.h:46

    -- ****************
    -- VendorS.h macros
    -- ****************

    function XmIsVendorShell (W: Xt.Intrinsic.Widget)
        return Xt.Intrinsic.Boolean;                        -- VendorS.h:31

private

    type XmVendorShellClassRec is null record;              -- VendorS.h:35
    type XmVendorShellRec is null record;                   -- VendorS.h:34

    pragma Import(C, XmIsMotifWMRunning, "XmIsMotifWMRunning");
                                                            -- VendorS.h:46

    pragma Inline(XmIsVendorShell);

end Motif.VendorS;
